//*****************************************************************************
// Holz
//*****************************************************************************
// Natural oak (light)
#declare T_Wood1 = material {
    texture { pigment { P_WoodGrain1A  color_map { M_Wood1A }}}
    texture { pigment { P_WoodGrain1B  color_map { M_Wood1B }}}
}

// Dark brown
#declare T_Wood2   = material {
    texture { pigment { P_WoodGrain2A  color_map { M_Wood2A }}}
    texture { pigment { P_WoodGrain2B  color_map { M_Wood2B }}}
}

// Bleached oak (white)
#declare T_Wood3   = material {         
    texture { pigment { P_WoodGrain3A  color_map { M_Wood3A }}} 
    texture { pigment { P_WoodGrain3B  color_map { M_Wood3B }}}
}

// Mahogany (purplish-red)
#declare T_Wood4   = material {
    texture { pigment { P_WoodGrain4A  color_map { M_Wood4A }}}
    texture { pigment { P_WoodGrain4B  color_map { M_Wood4B }}}
}

// Dark yellow with reddish overgrain
#declare T_Wood5   = material {         
    texture { pigment { P_WoodGrain5A  color_map { M_Wood5A }}} 
    texture { pigment { P_WoodGrain5B  color_map { M_Wood5B }}}
}

// Cocabola (red)
#declare T_Wood6   = material {         
    texture { pigment { P_WoodGrain6A  color_map { M_Wood6A }}}
    texture { pigment { P_WoodGrain6B  color_map { M_Wood6B }}}
}

// Yellow pine (ragged grain)
#declare T_Wood7   = material {         
    texture { pigment { P_WoodGrain7A  color_map { M_Wood7A }}} 
    texture { pigment { P_WoodGrain7B  color_map { M_Wood7B }}}
}

// Dark brown. Walnut?    
#declare T_Wood8   = material {
    texture { pigment { P_WoodGrain8A  color_map { M_Wood8A }}} 
    texture { pigment { P_WoodGrain8B  color_map { M_Wood8B }}}
}

// Yellowish-brown burl (heavily turbulated)
#declare T_Wood9   = material {         
    texture { pigment { P_WoodGrain9A  color_map { M_Wood9A }}}
    texture { pigment { P_WoodGrain9B  color_map { M_Wood9B }}}
}

// Soft pine (light yellow, smooth grain)
#declare T_Wood10 = material { 
    texture {  pigment{ P_WoodGrain10A color_map { M_Wood10A }}} 
    texture {  pigment{ P_WoodGrain10B color_map { M_Wood10B }}}
}

// Spruce (yellowish, very straight, fine grain)
#declare T_Wood11 = material { 
    texture {  pigment{ P_WoodGrain11A color_map { M_Wood11A }}} 
    texture {  pigment{ P_WoodGrain11B color_map { M_Wood11B }}}
}

// Another very dark brown.  Walnut-stained pine, perhaps?
#declare T_Wood12 = material { 
    texture {  pigment{ P_WoodGrain12A color_map { M_Wood12A }}} 
    texture {  pigment{ P_WoodGrain12B color_map { M_Wood12B }}}
}

// Very straight grained, whitish
#declare T_Wood13 = material { 
    texture {  pigment{ P_WoodGrain13A color_map { M_Wood13A }}}
    texture {  pigment{ P_WoodGrain13B color_map { M_Wood13B }}}
}

// Red, rough grain
#declare T_Wood14 = material { 
    texture {  pigment{ P_WoodGrain14A color_map { M_Wood14A }}} 
    texture {  pigment{ P_WoodGrain14B color_map { M_Wood14B }}}
}

// Medium brown
#declare T_Wood15 = material {
    texture {  pigment{ P_WoodGrain15A color_map { M_Wood15A }}} 
    texture {  pigment{ P_WoodGrain15B color_map { M_Wood15B }}}
}

// Medium brown
#declare T_Wood16 = material { 
    texture {  pigment{ P_WoodGrain16A color_map { M_Wood16A }}} 
    texture {  pigment{ P_WoodGrain16B color_map { M_Wood16B }}}
}

// Medium brown
#declare T_Wood17 = material { 
    texture {  pigment{ P_WoodGrain17A color_map { M_Wood17A }}} 
    texture {  pigment{ P_WoodGrain17B color_map { M_Wood17B }}}
}

// Orange
#declare T_Wood18 = material {
    texture {  pigment{ P_WoodGrain18A color_map { M_Wood18A }}}
    texture {  pigment{ P_WoodGrain18B color_map { M_Wood18B }}}
}

// Golden Oak.
//  M_Woods 1,3,7,8,10,14,15,17,18,19 work well, also.
#declare T_Wood19 = material {
    texture {  pigment{ P_WoodGrain19A color_map { M_Wood19A }}}
    texture {  pigment{ P_WoodGrain19B color_map { M_Wood19B }}}
}

#declare T_Wood20 = material {
    texture {  pigment{ P_WoodGrain19A color_map { M_Wood19A }}}
    texture {  pigment{ P_WoodGrain19B color_map { M_Wood19B }}}
}

#declare T_Wood21 = material {
    texture {  pigment{ P_WoodGrain1A color_map { M_Wood11A }}}
    texture {  pigment{ P_WoodGrain1B color_map { M_Wood11B }}}
}

#declare T_Wood22 = material {
    texture {  pigment{ P_WoodGrain1A color_map { M_Wood12A }}}
    texture {  pigment{ P_WoodGrain1B color_map { M_Wood12B }}}
}

#declare T_Wood23 = material {
    texture {  pigment{ P_WoodGrain1A color_map { M_Wood13A }}}
    texture {  pigment{ P_WoodGrain1B color_map { M_Wood13B }}}
}

#declare T_Wood24 = material {
    texture {  pigment{ P_WoodGrain1A color_map { M_Wood14A }}}
    texture {  pigment{ P_WoodGrain1B color_map { M_Wood14B }}}
}

#declare T_Wood25 = material {
    texture {  pigment{ P_WoodGrain1A color_map { M_Wood15A }}}
    texture {  pigment{ P_WoodGrain1B color_map { M_Wood15B }}}
}

#declare T_Wood26 = material {
    texture {  pigment{ P_WoodGrain1A color_map { M_Wood16A }}}
    texture {  pigment{ P_WoodGrain1B color_map { M_Wood16B }}}
}

#declare T_Wood27 = material {
    texture {  pigment{ P_WoodGrain1A color_map { M_Wood17A }}}
    texture {  pigment{ P_WoodGrain1B color_map { M_Wood17B }}}
}

#declare T_Wood28 = material {
    texture {  pigment{ P_WoodGrain1A color_map { M_Wood18A }}}
    texture {  pigment{ P_WoodGrain1B color_map { M_Wood18B }}}
}

#declare T_Wood29 = material {
    texture {  pigment{ P_WoodGrain1A color_map { M_Wood19A }}}
    texture {  pigment{ P_WoodGrain1B color_map { M_Wood19B }}}
}

#declare T_Wood30 = material {
    texture {  pigment{ P_WoodGrain1A color_map { M_Wood1A }}}
    texture {  pigment{ P_WoodGrain1B color_map { M_Wood1B }}}
}

// A light tan wood - heavily grained (variable coloration)
#declare T_Wood31= material {
texture {
    pigment {
        wood
        turbulence 0.045
        scale 0.125
        color_map {
          [0.10 color rgbf <0.49020, 0.22353, 0.00000, 0.00>]
          [0.16 color rgbf <0.71863, 0.69412, 0.46275, 0.00>]
          [0.20 color rgbf <0.49020, 0.22353, 0.00000, 0.00>]
          [0.25 color rgbf <0.76863, 0.69412, 0.46275, 0.00>]
          [0.32 color rgbf <0.44020, 0.22353, 0.00000, 0.00>]
          [0.37 color rgbf <0.74863, 0.69412, 0.46275, 0.00>]
          [0.40 color rgbf <0.49020, 0.20353, 0.00000, 0.00>]
          [0.45 color rgbf <0.76863, 0.66412, 0.48275, 0.00>]
          [0.51 color rgbf <0.49020, 0.22353, 0.00000, 0.00>]
          [0.55 color rgbf <0.76863, 0.67059, 0.37255, 0.00>]
          [0.61 color rgbf <0.49020, 0.25353, 0.00000, 0.00>]
          [0.65 color rgbf <0.76863, 0.67059, 0.37255, 0.00>]
          [0.70 color rgbf <0.49020, 0.22353, 0.00000, 0.00>]
          [0.75 color rgbf <0.76863, 0.63059, 0.37255, 0.00>]
          [0.82 color rgbf <0.49020, 0.22353, 0.00000, 0.00>]
          [0.88 color rgbf <0.77863, 0.67059, 0.37255, 0.00>]
          [0.91 color rgbf <0.49020, 0.22353, 0.00000, 0.00>]
          [0.95 color rgbf <0.79863, 0.67059, 0.39550, 0.00>]
          [1.00 color rgbf <0.48020, 0.22353, 0.00000, 0.00>]
        }
    }
}}



//A rich dark reddish wood, like rosewood, with smooth-flowing grain
#declare T_Wood32= material {
texture {
    pigment {
        wood turbulence 0.04
        scale 0.15
        color_map {
            [0.15 color rgbf <0.38039, 0.14902, 0.0, 0.0>]
            [0.25 color rgbf <0.23539, 0.00000, 0.0, 0.0>]
            [0.35 color rgbf <0.38139, 0.14912, 0.0, 0.0>]
            [0.45 color rgbf <0.23549, 0.00000, 0.0, 0.0>]
            [0.55 color rgbf <0.38139, 0.14902, 0.0, 0.0>]
            [0.65 color rgbf <0.23559, 0.00000, 0.0, 0.0>]
            [0.75 color rgbf <0.38139, 0.14922, 0.0, 0.0>]
            [0.85 color rgbf <0.23549, 0.00000, 0.0, 0.0>]
            [0.95 color rgbf <0.38039, 0.14902, 0.0, 0.0>]
            [0.90 color rgbf <0.23539, 0.00000, 0.0, 0.0>]
            [1.00 color rgbf <0.38039, 0.14932, 0.0, 0.0>]
        }
    }
}}

// Similar to T_WoodB, but brighter
#declare T_Wood33= material {
texture {
    pigment {
        wood turbulence 0.0425
        scale 0.2
        color_map {
            [0.05 color rgbf <0.55294, 0.21176, 0.00000, 0.0>]
            [0.15 color rgbf <0.32549, 0.13725, 0.00000, 0.0>]
            [0.25 color rgbf <0.55294, 0.21176, 0.00000, 0.0>]
            [0.35 color rgbf <0.32549, 0.11765, 0.00000, 0.0>]
            [0.48 color rgbf <0.55294, 0.21176, 0.00000, 0.0>]
            [0.55 color rgbf <0.29412, 0.13725, 0.01176, 0.0>]
            [0.65 color rgbf <0.55294, 0.21176, 0.00000, 0.0>]
            [0.78 color rgbf <0.32549, 0.13725, 0.00000, 0.0>]
            [0.85 color rgbf <0.55294, 0.21176, 0.00000, 0.0>]
            [0.96 color rgbf <0.28627, 0.13725, 0.00000, 0.0>]
            [1.00 color rgbf <0.54510, 0.17647, 0.03529, 0.0>]
        }
        translate <.015, 0, 0>
    }
}}

// Reddish-orange, large, smooth grain.
#declare T_Wood34 = material {
texture {
    pigment {
        wood turbulence 0.04
        scale 0.15
        color_map {
            [0.15 color rgbf <0.38039, 0.14902, 0.0, 0.0>]
            [0.25 color rgbf <0.23539, 0.00000, 0.0, 0.0>]
            [0.35 color rgbf <0.38139, 0.14912, 0.0, 0.0>]
            [0.45 color rgbf <0.23549, 0.00000, 0.0, 0.0>]
            [0.55 color rgbf <0.38139, 0.14902, 0.0, 0.0>]
            [0.65 color rgbf <0.23559, 0.00000, 0.0, 0.0>]
            [0.75 color rgbf <0.38139, 0.14922, 0.0, 0.0>]
            [0.85 color rgbf <0.23549, 0.00000, 0.0, 0.0>]
            [0.95 color rgbf <0.38039, 0.14902, 0.0, 0.0>]
            [0.90 color rgbf <0.23539, 0.00000, 0.0, 0.0>]
            [1.00 color rgbf <0.38039, 0.14932, 0.0, 0.0>]
        }
    }
}
texture  {
    pigment {
        onion
        turbulence 0.2125
        colour_map {
            [0.225 colour rgbf <1.000000, 0.53333, 0.11767, 0.4875>]
            [0.350 colour rgbf <0.662750, 0.28617, 0.00001, 0.7250>]
            [0.500 colour rgbf <1.000100, 0.53333, 0.11765, 0.5745>]
            [0.625 colour rgbf <0.662775, 0.28627, 0.00005, 0.6875>]
            [0.750 colour rgbf <1.000200, 0.53333, 0.11755, 0.5275>]
            [0.875 colour rgbf <0.662755, 0.28629, 0.00001, 0.3795>]
            [1.000 colour rgbf <1.000000, 0.53333, 0.11665, 0.6165>]
        }
        scale <0.225, 0.20, 1.15>
    }
}}


// Orangish, with a grain more like a veneer than a plank
#declare T_Wood35= material {
texture {
    pigment {
        wood
        turbulence 0.03725
        omega 0.65725
        lambda 2.425
        color_map {
            [0.250 color rgbf <1.00000, 0.53373, 0.11665, 0.000>]
            [0.350 color rgbf <0.66275, 0.28607, 0.00000, 0.000>]
            [0.525 color rgbf <1.00000, 0.53363, 0.11715, 0.000>]
            [0.600 color rgbf <0.66475, 0.28647, 0.00000, 0.000>]
            [0.750 color rgbf <1.00000, 0.53353, 0.11565, 0.000>]
            [0.850 color rgbf <0.66275, 0.28667, 0.00000, 0.000>]
            [1.000 color rgbf <1.00000, 0.53143, 0.11795, 0.000>]
        }
        scale <0.25, 0.225, 1.0>
    }
}
texture {
    pigment {
        wood
        scale 1.01275
        turbulence 0.0435
        omega 0.65
        lambda 3.15
        color_map {
            [0.200 color rgbf <0.56695, 0.17347, 0.00000, 0.8250>]
            [0.350 color rgbf <0.96471, 0.54510, 0.22753, 0.7710>]
            [0.400 color rgbf <0.56341, 0.17547, 0.00000, 0.9150>]
            [0.615 color rgbf <0.96472, 0.54510, 0.22553, 0.7590>]
            [0.700 color rgbf <0.56671, 0.17687, 0.00000, 0.7920>]
            [0.850 color rgbf <0.96485, 0.54510, 0.22453, 0.8975>]
            [1.000 color rgbf <0.56478, 0.17247, 0.00000, 0.9750>]
        }
        scale <0.225, 0.2725, 1.0>
        translate <-0.35, 0.095, 1.25>
    }
}}



#declare Mahagony_Holz = material {
	texture{
	pigment{ wood 
	turbulence 0.3 scale 0.1
	color_map{
	[0.0, 0.8  color red 0.666 green 0.312 blue 0.2 color red 0.666 green 0.312 blue 0.2]
	[0.8, 1.01 color red 0.4  green 0.133 blue 0.066 color red 0.2 green 0.065 blue 0.033]
	}
  	} finish {diffuse 0.8}
	}}

#declare Kirsch_Holz =  material {
	texture{
	pigment{ wood 
	turbulence 0.3 scale 0.1
	color_map{
        [0.0, 0.8       color red 1.0 green 0.6 blue 0.2
                        color red 1.0 green 0.6 blue 0.2]
        [0.8, 1.01      color red 0.5 green 0.4 blue 0.05
                        color red 0.4 green 0.3 blue 0.025]
	}
  	} finish {diffuse 0.8}
	}}

#declare Kirsch_Holz_Lackiert =  material {
	texture{
	pigment{ wood 
	turbulence 0.3 scale 0.1
	color_map{
        [0.0, 0.8       color red 1.0 green 0.6 blue 0.2
                        color red 1.0 green 0.6 blue 0.2]
        [0.8, 1.01      color red 0.5 green 0.4 blue 0.05
                        color red 0.4 green 0.3 blue 0.025]
	}
        } finish {Glanz}
	}}

#declare Fichten_Holz =  material {
	texture{
	pigment{
	wood
	turbulence 0.2 scale 0.1
   	color_map{
	[0.0, 0.8  color red 1.0 green 0.71875 blue 0.25 color red 1.0 green 0.71875 blue 0.25]
	[0.8, 1.01 color red 0.5 green 0.5 blue 0.066 color red 0.4 green 0.4 blue 0.033]
	}
	} finish {diffuse 0.8}
  	}}

#declare Dunkles_Holz =  material {
	texture{
	pigment{ wood
	turbulence 0.2 scale 0.1
	color_map{
	[0.0, 0.8  color red 0.42857 green 0.23810 blue 0.04762 color red 0.42857 green 0.23810 blue 0.04762]
	[0.8, 1.01 color red 0.4     green 0.333   blue 0.066 color red 0.2     green 0.033   blue 0.033]
	}
	} finish {diffuse 0.8}
  	}}

#declare Tannen_Holz =  material {
	texture{
	pigment{
	wood
	turbulence 0.1 scale 0.1
	color_map{
	[0.0, 0.8  color red 0.888 green 0.600 blue 0.3 color red 0.888 green 0.600 blue 0.3]
	[0.8, 1.01 color red 0.6   green 0.4   blue 0.2 color red 0.4   green 0.3   blue 0.2]
	}
	} finish {diffuse 0.8}
  	}}

#declare Balsa_Holz =  material {
	texture{
	pigment{
	wood
   	turbulence 0.6 scale 0.1
   	color_map{
	[0.0, 0.8  color red 0.93 green 0.71 blue 0.532 color red 0.98 green 0.81 blue 0.6]
	[0.8, 1.01 color red 0.6 green 0.333 blue 0.266 color red 0.7 green 0.6 blue 0.23]
	}
	} finish {diffuse 0.8}
  	}}

#declare Braunes_Holz =  material {
	texture{
	pigment{
	wood
   	turbulence 0.31 scale 0.1
   	color_map{
	[0.0, 0.8   color red 0.7 green 0.3 color red 0.7 green 0.3]
	[0.8, 1.01  color red 0.5 green 0.2 color red 0.4 green 0.1]
	}
	} finish {diffuse 0.8}
  	}}

#declare Verschiedenes_Holz1 =  material {
	texture{
	pigment{ wood
   	turbulence 0.04 octaves 3 scale <.02, .02, 1>
   	color_map{
	[0.00, 0.10 color red 0.60 green 0.30 blue 0.18 color red 0.60 green 0.30 blue 0.18]
	[0.10, 0.90 color red 0.60 green 0.30 blue 0.18 color red 0.30 green 0.15 blue 0.09]
	[0.90, 1.0  color red 0.30 green 0.15 blue 0.09 color red 0.30 green 0.15 blue 0.09]
	}
	} finish {diffuse 0.8}
  	}}

#declare Verschiedenes_Holz2 =  material {
	texture{
	pigment{
	wood
	turbulence 0.03 octaves 4 scale <.02, .02, 1>
	color_map{
	[0.00, 0.10 color red 0.52 green 0.37 blue 0.26 color red 0.52 green 0.37 blue 0.26]
	[0.10, 0.90 color red 0.52 green 0.37 blue 0.26 color red 0.42 green 0.26 blue 0.15]
	[0.90, 1.0  color red 0.42 green 0.26 blue 0.15 color red 0.42 green 0.26 blue 0.15]
	}
	} finish {diffuse 0.8}
  	}}

#declare Verschiedenes_Holz3 =  material {
	texture{
	pigment{
	wood
   	turbulence 0.05 octaves 2 scale <.02, .02, 1>
   	color_map{
	[0.00, 0.10 color red 0.4 green 0.133 blue 0.066 color red 0.4 green 0.133 blue 0.066]
	[0.10, 0.90 color red 0.4 green 0.133 blue 0.066 color red 0.2 green 0.065 blue 0.033]
	[0.90, 1.0  color red 0.2 green 0.065 blue 0.033 color red 0.2 green 0.065 blue 0.033]
	}
	} finish {diffuse 0.8}
  	}}

#declare Verschiedenes_Holz4 =  material {
	texture{
	pigment{
	wood
   	turbulence 0.04 octaves 3 scale <.02, .02, 1>
	color_map{
	[0.00, 0.10 color red 0.888 green 0.600 blue 0.3 color red 0.888 green 0.600 blue 0.3]
	[0.10, 0.90 color red 0.888 green 0.600 blue 0.3 color red 0.6 green 0.4 blue 0.2]
	[0.90, 1.0  color red 0.6 green 0.4 blue 0.2 color red 0.6 green 0.4 blue 0.2]
	}
	} finish {diffuse 0.8}
  	}}

#declare Verschiedenes_Holz5 =  material {
	texture{
	pigment{
	wood
	turbulence 0.05 octaves 6 scale <.02, .02, 1>
   	color_map{
	[0.00, 0.10 color red 0.3 green 0.1 blue 0.05 color red 0.3 green 0.1 blue 0.05]
	[0.10, 0.90 color red 0.3 green 0.1 blue 0.05 color red 0.25 green 0.07 blue 0.038]
	[0.90, 1.0  color red 0.25 green 0.07 blue 0.038 color red 0.25 green 0.07 blue 0.038]
	}
	} finish {diffuse 0.8}
  	}}

#declare HelleEiche_Holz =  material {
	texture{
	pigment{
	wood
   	turbulence 0.05 scale <.02, .02, 1> 
	color_map{
	[0.00, 0.10 color red 0.42 green 0.26 blue 0.15 color red 0.42 green 0.26 blue 0.15]
	[0.10, 0.90 color red 0.42 green 0.26 blue 0.15 color red 0.52 green 0.37 blue 0.26]
	[0.90, 1.01 color red 0.52 green 0.37 blue 0.26 color red 0.52 green 0.37 blue 0.26]
	}
	} finish {diffuse 0.8}
  	}}

#declare AlteDunkleEiche_Holz =  material {
	texture{
	pigment{
	wood
   	turbulence 0.04 octaves 3 scale <.02, .02, 1>
	color_map{
	[0.00, 0.10 color red 0.60 green 0.30 blue 0.18 color red 0.60 green 0.30 blue 0.18]
	[0.10, 0.90 color red 0.60 green 0.30 blue 0.18 color red 0.30 green 0.15 blue 0.09]
	[0.90, 1.01 color red 0.30 green 0.15 blue 0.09 color red 0.30 green 0.15 blue 0.09]
	}
	} finish {diffuse 0.8}
  	}}

#declare Verschiedenes_Holz6 =  material {
	texture{  
	pigment{
	wood
	turbulence 0.05
	colour_map{
	[0.00 0.34  color red 0.58 green 0.45 blue 0.23 color red 0.65 green 0.45 blue 0.25]
	[0.34 0.40  color red 0.65 green 0.45 blue 0.25 color red 0.33 green 0.23 blue 0.13]
	[0.40 0.47  color red 0.33 green 0.23 blue 0.13 color red 0.60 green 0.40 blue 0.20]
	[0.47 1.00  color red 0.60 green 0.40 blue 0.20 color red 0.25 green 0.15 blue 0.05]
	}
	} finish {crand 0.02 phong 0.2 phong_size 10}
	  normal { bumps 0.05 }
   	}}

#declare GelbeFichte_Holz =  material {
	texture{
	pigment{
	wood
	turbulence 0.02 scale 0.02
	color_map {
	[0.000, 0.222  color red  0.808  green  0.671  blue  0.251  filter  0.000 color red  0.808  green  0.671  blue  0.251  filter  0.000]
	[0.222, 0.342  color red  0.808  green  0.671  blue  0.251  filter  0.000 color red  0.600  green  0.349  blue  0.043  filter  0.000]
	[0.342, 0.393  color red  0.600  green  0.349  blue  0.043  filter  0.000 color red  0.808  green  0.671  blue  0.251  filter  0.000]
	[0.393, 0.709  color red  0.808  green  0.671  blue  0.251  filter  0.000 color red  0.808  green  0.671  blue  0.251  filter  0.000]
	[0.709, 0.821  color red  0.808  green  0.671  blue  0.251  filter  0.000 color red  0.533  green  0.298  blue  0.027  filter  0.000]
	[0.821, 1      color red  0.533  green  0.298  blue  0.027  filter  0.000 color red  0.808  green  0.671  blue  0.251  filter  0.000]
	} scale 0.1 translate <10, 0, 0>
   	} finish {crand 0.02 phong 0.2 phong_size 10}
	}

	texture{
	pigment{
	wood
	turbulence 0.01 scale 0.02
   	color_map {
	  [0.000, 0.120   color red  1.000  green  1.000  blue  1.000  filter  1.000 color red  0.702  green  0.412  blue  0.118  filter  0.608]
	  [0.120, 0.231   color red  0.702  green  0.412  blue  0.118  filter  0.608 color red  0.702  green  0.467  blue  0.118  filter  0.608]
	  [0.231, 0.496   color red  0.702  green  0.467  blue  0.118  filter  0.608 color red  1.000  green  1.000  blue  1.000  filter  1.000]
	  [0.496, 0.701   color red  1.000  green  1.000  blue  1.000  filter  1.000 color red  1.000  green  1.000  blue  1.000  filter  1.000]
	  [0.701, 0.829   color red  1.000  green  1.000  blue  1.000  filter  1.000 color red  0.702  green  0.467  blue  0.118  filter  0.608]
	  [0.829, 1       color red  0.702  green  0.467  blue  0.118  filter  0.608 color red  1.000  green  1.000  blue  1.000  filter  1.000]
   	} scale 0.03 translate <10, 0, 0>
 	} finish {crand 0.02 phong 0.2 phong_size 10}
	}}

#declare Rosen_Holz =  material {
	texture {
 	pigment{
   	bozo
   	turbulence 0.04
   	color_map {
	  [0.000, 0.256   color red  0.204  green  0.110  blue  0.078  filter  0.000 color red  0.231  green  0.125  blue  0.090  filter  0.000]
	  [0.256, 0.393   color red  0.231  green  0.125  blue  0.090  filter  0.000 color red  0.247  green  0.133  blue  0.090  filter  0.000]
	  [0.393, 0.581   color red  0.247  green  0.133  blue  0.090  filter  0.000 color red  0.204  green  0.110  blue  0.075  filter  0.000]
	  [0.581, 0.726   color red  0.204  green  0.110  blue  0.075  filter  0.000 color red  0.259  green  0.122  blue  0.102  filter  0.000]
	  [0.726, 0.983   color red  0.259  green  0.122  blue  0.102  filter  0.000 color red  0.231  green  0.125  blue  0.086  filter  0.000]
	  [0.983, 1       color red  0.231  green  0.125  blue  0.086  filter  0.000 color red  0.204  green  0.110  blue  0.078  filter  0.000]
   	} scale <.02, .02, 1> translate <10, 0, 0>
 	} finish {diffuse 0.8}
 	}

	texture{
 	pigment{
   	wood
   	turbulence 0.04
   	color_map {
	  [0.000, 0.139   color red  0.545  green  0.349  blue  0.247  filter  1.000 color red  0.000  green  0.000  blue  0.000  filter  0.004]
	  [0.139, 0.148   color red  0.000  green  0.000  blue  0.000  filter  0.004 color red  0.000  green  0.000  blue  0.000  filter  0.004]
	  [0.148, 0.287   color red  0.000  green  0.000  blue  0.000  filter  0.004 color red  0.545  green  0.349  blue  0.247  filter  1.000]
	  [0.287, 0.443   color red  0.545  green  0.349  blue  0.247  filter  1.000 color red  0.545  green  0.349  blue  0.247  filter  1.000]
	  [0.443, 0.626   color red  0.545  green  0.349  blue  0.247  filter  1.000 color red  0.000  green  0.000  blue  0.000  filter  0.004]
	  [0.626, 0.635   color red  0.000  green  0.000  blue  0.000  filter  0.004 color red  0.000  green  0.000  blue  0.000  filter  0.004]
	  [0.635, 0.843   color red  0.000  green  0.000  blue  0.000  filter  0.004 color red  0.545  green  0.349  blue  0.247  filter  1.000]
	  [0.843, 1       color red  0.545  green  0.349  blue  0.247  filter  1.000 color red  0.545  green  0.349  blue  0.247  filter  1.000]
   	} scale <.02, .02, 1> translate <10, 0, 0>
 	} finish {diffuse 0.8}
	}}

#declare Sandal_Holz_Lackiert =  material {
	texture {
 pigment {
   bozo
   turbulence 0.2
   color_map {
	  [0.000, 0.171   color red  0.725  green  0.659  blue  0.455  filter  0.000 color red  0.682  green  0.549  blue  0.420  filter  0.000]
	  [0.171, 0.274   color red  0.682  green  0.549  blue  0.420  filter  0.000 color red  0.557  green  0.451  blue  0.322  filter  0.000]
	  [0.274, 0.393   color red  0.557  green  0.451  blue  0.322  filter  0.000 color red  0.725  green  0.659  blue  0.455  filter  0.000]
	  [0.393, 0.564   color red  0.725  green  0.659  blue  0.455  filter  0.000 color red  0.682  green  0.549  blue  0.420  filter  0.000]
	  [0.564, 0.701   color red  0.682  green  0.549  blue  0.420  filter  0.000 color red  0.482  green  0.392  blue  0.278  filter  0.000]
	  [0.701, 1       color red  0.482  green  0.392  blue  0.278  filter  0.000 color red  0.725  green  0.659  blue  0.455  filter  0.000]
   } scale <.02, .02, 1>
 } finish {Glanz}
}
texture {
 pigment {
   bozo
   turbulence 0.8
   color_map {
	  [0.000, 0.087   color red  0.682  green  0.604  blue  0.380  filter  1.000 color red  0.761  green  0.694  blue  0.600  filter  0.020]
	  [0.087, 0.226   color red  0.761  green  0.694  blue  0.600  filter  0.020 color red  0.635  green  0.553  blue  0.325  filter  1.000]
	  [0.226, 0.348   color red  0.635  green  0.553  blue  0.325  filter  1.000 color red  0.761  green  0.694  blue  0.600  filter  0.020]
	  [0.348, 0.496   color red  0.761  green  0.694  blue  0.600  filter  0.020 color red  0.682  green  0.604  blue  0.380  filter  1.000]
	  [0.496, 0.565   color red  0.682  green  0.604  blue  0.380  filter  1.000 color red  0.761  green  0.694  blue  0.600  filter  0.020]
	  [0.565, 0.661   color red  0.761  green  0.694  blue  0.600  filter  0.020 color red  0.682  green  0.604  blue  0.380  filter  1.000]
	  [0.661, 0.835   color red  0.682  green  0.604  blue  0.380  filter  1.000 color red  0.761  green  0.694  blue  0.600  filter  0.020]
	  [0.835, 1       color red  0.761  green  0.694  blue  0.600  filter  0.020 color red  0.682  green  0.604  blue  0.380  filter  1.000]
   } scale 2
 } finish {Glanz}
}}


#declare Sandal_Holz =  material {
	texture {
 pigment {
   bozo
   turbulence 0.2
   color_map {
	  [0.000, 0.171   color red  0.725  green  0.659  blue  0.455  filter  0.000 color red  0.682  green  0.549  blue  0.420  filter  0.000]
	  [0.171, 0.274   color red  0.682  green  0.549  blue  0.420  filter  0.000 color red  0.557  green  0.451  blue  0.322  filter  0.000]
	  [0.274, 0.393   color red  0.557  green  0.451  blue  0.322  filter  0.000 color red  0.725  green  0.659  blue  0.455  filter  0.000]
	  [0.393, 0.564   color red  0.725  green  0.659  blue  0.455  filter  0.000 color red  0.682  green  0.549  blue  0.420  filter  0.000]
	  [0.564, 0.701   color red  0.682  green  0.549  blue  0.420  filter  0.000 color red  0.482  green  0.392  blue  0.278  filter  0.000]
	  [0.701, 1       color red  0.482  green  0.392  blue  0.278  filter  0.000 color red  0.725  green  0.659  blue  0.455  filter  0.000]
   } scale <.02, .02, 1>
 } finish {diffuse 0.8}
}
texture {
 pigment {
   bozo
   turbulence 0.8
   color_map {
	  [0.000, 0.087   color red  0.682  green  0.604  blue  0.380  filter  1.000 color red  0.761  green  0.694  blue  0.600  filter  0.020]
	  [0.087, 0.226   color red  0.761  green  0.694  blue  0.600  filter  0.020 color red  0.635  green  0.553  blue  0.325  filter  1.000]
	  [0.226, 0.348   color red  0.635  green  0.553  blue  0.325  filter  1.000 color red  0.761  green  0.694  blue  0.600  filter  0.020]
	  [0.348, 0.496   color red  0.761  green  0.694  blue  0.600  filter  0.020 color red  0.682  green  0.604  blue  0.380  filter  1.000]
	  [0.496, 0.565   color red  0.682  green  0.604  blue  0.380  filter  1.000 color red  0.761  green  0.694  blue  0.600  filter  0.020]
	  [0.565, 0.661   color red  0.761  green  0.694  blue  0.600  filter  0.020 color red  0.682  green  0.604  blue  0.380  filter  1.000]
	  [0.661, 0.835   color red  0.682  green  0.604  blue  0.380  filter  1.000 color red  0.761  green  0.694  blue  0.600  filter  0.020]
	  [0.835, 1       color red  0.761  green  0.694  blue  0.600  filter  0.020 color red  0.682  green  0.604  blue  0.380  filter  1.000]
   } scale 2
 } finish {diffuse 0.8}
}}





