//*****************************************************************************
// STEIN PIGMENTE
//*****************************************************************************
#declare Beton = material {
	texture{ pigment{ granite
	turbulence 0.6 scale 0.3 
	color_map{
		[0.000, 0.212   color rgbf <0.898, 0.898, 0.851, 0.000> color rgbf <0.969, 0.980, 0.875, 0.000>]
		[0.212, 0.424   color rgbf <0.969, 0.980, 0.875, 0.000> color rgbf <0.859, 0.859, 0.859, 0.000>]
		[0.424, 0.627   color rgbf <0.859, 0.859, 0.859, 0.000> color rgbf <0.992, 0.922, 0.659, 0.000>]
		[0.627, 0.881   color rgbf <0.992, 0.922, 0.659, 0.000> color rgbf <0.937, 0.965, 0.902, 0.000>]
		[0.881, 1.001   color rgbf <0.937, 0.965, 0.902, 0.000> color rgbf <0.898, 0.898, 0.851, 0.000>]
	}
	}finish{Matt}
	}}

#declare Jade =  material {
	texture{ pigment{ marble
	turbulence 1.8 scale 0.3
	color_map{
		[0.0, 0.8   color red 0.1 green 0.6 blue 0.1 color red 0.0 green 0.3]
		[0.8, 1.001 color red 0.1 green 0.6 blue 0.1 color red 0.0 green 0.2]
	}
 	}finish{Hochglanz}
 	}}

#declare Roter_Marmor =  material {
	texture{ pigment{ marble
	turbulence 1 scale 0.3
	color_map{
		[0.0, 0.8 color red 0.8 green 0.8 blue 0.6 color red 0.8 green 0.4 blue 0.4]
		[0.8, 1.0 color red 0.8 green 0.4 blue 0.4 color red 0.8 green 0.2 blue 0.2]
	}
  	}finish{Hochglanz}
	}}

#declare Weisser_Marmor =  material {
	texture{ pigment{ marble
	turbulence 1
	scale 0.2
	color_map{
		[0.0 color Grau70]
		[1.0 color Grau80]
	}
  	}finish{Hochglanz ambient 0.45}
	}}

#declare Blut_Marmor =  material {
	texture{ pigment{ marble
	turbulence 2.3
	scale 0.3
	color_map{
		[0.0, 0.8   color Black color Leichtblau] 
		[0.8, 0.9   color Leichtblau color DunkelRosa]
		[0.9, 1.001 color DunkelRosa color Black]
	}
	}finish{Hochglanz}
  	}}

#declare Blaue_Agate =  material {
	texture{ pigment{ agate
	scale 0.3
	color_map{
		[0.0, 0.5   color red 0.30 green 0.30 blue 0.50 color red 0.30 green 0.30 blue 0.50]
	 [0.5, 0.55  color red 0.30 green 0.30 blue 0.50 color red 0.20 green 0.20 blue 0.30]
	 [0.55, 0.6  color red 0.20 green 0.20 blue 0.30 color red 0.25 green 0.25 blue 0.35]
	 [0.6, 0.7   color red 0.25 green 0.25 blue 0.35 color red 0.15 green 0.15 blue 0.26]
	 [0.7, 0.8   color red 0.15 green 0.15 blue 0.26 color red 0.10 green 0.10 blue 0.20]
	 [0.8, 0.9   color red 0.10 green 0.10 blue 0.20 color red 0.30 green 0.30 blue 0.50]
	 [0.9, 1.001 color red 0.30 green 0.30 blue 0.50 color red 0.10 green 0.10 blue 0.20]
	}
	}finish{Hochglanz}
	}}

#declare Saphir_Agate =  material {
	texture{ pigment{ agate
	scale 0.3
	color_map{
		[0.0, 0.3   color blue 0.9 color blue 0.8]
		[0.3, 1.001 color blue 0.8 color blue 0.4]
	}
	}finish{Hochglanz}
	}}

#declare Braun_Agate =  material {
	texture{ pigment{ agate
	scale 0.3
	color_map{
		[0.0, 0.5   color Weiss color red 0.9 green 0.7 blue 0.6]
		[0.5, 0.6   color red 0.9 green 0.7 blue 0.6 color red 0.9 green 0.7 blue 0.4]
		[0.6, 1.001 color red 0.9 green 0.7 blue 0.4 color red 0.7 green 0.4 blue 0.2]
	}
	}finish{Hochglanz}
  	}}

#declare Rosa_Granit =  material {
	texture{ pigment{ granite
	scale 0.3
	color_map{
		[0.0,  0.4  color Black  color Black]
		[0.4,  0.45 color Quartz color Quartz]
		[0.45, 0.5  color Quartz color Grau55]
		[0.5,  0.55 color Grau55 color Feldspar]
		[0.55, 0.8  color Feldspar color Feldspar]
		[0.8,  1.0  color Feldspar color Orange]
	}
	}finish{Hochglanz}
	}}	

#declare Rosa_Alabaster =  material {
	texture{ pigment{ bozo
	turbulence 0.25
	color_map{
		[0,  1 color red 0.9 green 0.75 blue 0.75 color red 0.6 green 0.6  blue 0.6 ]
	}scale 0.4
	}finish{Hochglanz}
  	}
	texture{ pigment{ granite
	color_map{
		[0,   0.9 color DustyRose filter 1 color DustyRose filter 0.5]
		[0.9, 1   color DarkSlateGrau     color DarkSlateGrau]
	}scale 2       
	}finish{specular 1 roughness 0.0001 phong 0.25 phong_size 75 brilliance 4}
	}}


#declare T_Grnt0 = 
texture {
pigment
 {granite
  turbulence 0.4
  color_map
   {[0.000, 0.153   color rgbf <0.729, 0.502, 0.451, 0.000>
                    color rgbf <0.769, 0.686, 0.592, 0.000>]
    [0.153, 0.398   color rgbf <0.769, 0.686, 0.592, 0.000>
                    color rgbf <0.843, 0.753, 0.718, 0.000>]
    [0.398, 0.559   color rgbf <0.843, 0.753, 0.718, 0.000>
                    color rgbf <0.780, 0.667, 0.561, 0.000>]
    [0.559, 0.729   color rgbf <0.780, 0.667, 0.561, 0.000>
                    color rgbf <0.741, 0.659, 0.576, 0.000>]
    [0.729, 1.001   color rgbf <0.741, 0.659, 0.576, 0.000>
                    color rgbf <0.729, 0.502, 0.451, 0.000>]
 }
} }

//----- Creamy Whites with yellow & light gray
#declare T_Grnt1 = 
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.212   color rgbf <0.898, 0.898, 0.851, 0.000>
                    color rgbf <0.969, 0.980, 0.875, 0.000>]
    [0.212, 0.424   color rgbf <0.969, 0.980, 0.875, 0.000>
                    color rgbf <0.859, 0.859, 0.859, 0.000>]
    [0.424, 0.627   color rgbf <0.859, 0.859, 0.859, 0.000>
                    color rgbf <0.992, 0.922, 0.659, 0.000>]
    [0.627, 0.881   color rgbf <0.992, 0.922, 0.659, 0.000>
                    color rgbf <0.937, 0.965, 0.902, 0.000>]
    [0.881, 1.001   color rgbf <0.937, 0.965, 0.902, 0.000>
                    color rgbf <0.898, 0.898, 0.851, 0.000>]
 }}
 }

//------- Deep Cream with light rose, yellow orchid & tan
#declare T_Grnt2 = 
texture {
pigment
 {granite
  turbulence 0.5
  color_map
   {[0.000, 0.178   color rgbf <0.863, 0.757, 0.596, 0.000>
                    color rgbf <0.925, 0.792, 0.714, 0.000>]
    [0.178, 0.356   color rgbf <0.925, 0.792, 0.714, 0.000>
                    color rgbf <0.871, 0.702, 0.659, 0.000>]
    [0.356, 0.525   color rgbf <0.871, 0.702, 0.659, 0.000>
                    color rgbf <0.992, 0.922, 0.659, 0.000>]
    [0.525, 0.729   color rgbf <0.992, 0.922, 0.659, 0.000>
                    color rgbf <0.902, 0.812, 0.714, 0.000>]
    [0.729, 1.001   color rgbf <0.902, 0.812, 0.714, 0.000>
                    color rgbf <0.863, 0.757, 0.596, 0.000>]
 }
 }}

//------- Warm tans olive & light rose with cream
#declare T_Grnt3 =
texture {
pigment
 {granite
  turbulence 0.5
  color_map
   {[0.000, 0.178   color rgbf <0.831, 0.631, 0.569, 0.000>
                    color rgbf <0.925, 0.831, 0.714, 0.000>]
    [0.178, 0.356   color rgbf <0.925, 0.831, 0.714, 0.000>
                    color rgbf <0.871, 0.702, 0.659, 0.000>]
    [0.356, 0.525   color rgbf <0.871, 0.702, 0.659, 0.000>
                    color rgbf <0.831, 0.631, 0.569, 0.000>]
    [0.525, 0.729   color rgbf <0.831, 0.631, 0.569, 0.000>
                    color rgbf <0.937, 0.882, 0.820, 0.000>]
    [0.729, 1.001   color rgbf <0.937, 0.882, 0.820, 0.000>
                    color rgbf <0.831, 0.631, 0.569, 0.000>]
 }
 }}

//-------- Orchid sand & mouve
#declare T_Grnt4 =
texture {
pigment
 {granite
  turbulence 0.5
  color_map
   {[0.000, 0.178   color rgbf <0.804, 0.569, 0.494, 0.000>
                    color rgbf <0.816, 0.725, 0.537, 0.000>]
    [0.178, 0.356   color rgbf <0.816, 0.725, 0.537, 0.000>
                    color rgbf <0.820, 0.580, 0.522, 0.000>]
    [0.356, 0.525   color rgbf <0.820, 0.580, 0.522, 0.000>
                    color rgbf <0.882, 0.725, 0.537, 0.000>]
    [0.525, 0.729   color rgbf <0.882, 0.725, 0.537, 0.000>
                    color rgbf <0.855, 0.729, 0.584, 0.000>]
    [0.729, 1.001   color rgbf <0.855, 0.729, 0.584, 0.000>
                    color rgbf <0.804, 0.569, 0.494, 0.000>]
 }}
 }

//------- Medium Mauve Med.Rose & deep cream
#declare T_Grnt5 =
texture {
pigment
 {granite
  turbulence 0.5
  color_map
   {[0.000, 0.178   color rgbf <0.804, 0.569, 0.494, 0.000>
                    color rgbf <0.855, 0.729, 0.584, 0.000>]
    [0.178, 0.356   color rgbf <0.855, 0.729, 0.584, 0.000>
                    color rgbf <0.667, 0.502, 0.478, 0.000>]
    [0.356, 0.525   color rgbf <0.667, 0.502, 0.478, 0.000>
                    color rgbf <0.859, 0.624, 0.545, 0.000>]
    [0.525, 0.729   color rgbf <0.859, 0.624, 0.545, 0.000>
                    color rgbf <0.855, 0.729, 0.584, 0.000>]
    [0.729, 1.001   color rgbf <0.855, 0.729, 0.584, 0.000>
                    color rgbf <0.804, 0.569, 0.494, 0.000>]
 }
 }}

//--------- Med. Orchid Olive & Dark Tan "mud pie"
#declare T_Grnt6 =
texture {
pigment
 {granite
  turbulence 0.5
  color_map
   {[0.000, 0.153   color rgbf <0.545, 0.380, 0.345, 0.000>
                    color rgbf <0.588, 0.475, 0.333, 0.000>]
    [0.153, 0.398   color rgbf <0.588, 0.475, 0.333, 0.000>
                    color rgbf <0.675, 0.478, 0.404, 0.000>]
    [0.398, 0.559   color rgbf <0.675, 0.478, 0.404, 0.000>
                    color rgbf <0.757, 0.635, 0.522, 0.000>]
    [0.559, 0.729   color rgbf <0.757, 0.635, 0.522, 0.000>
                    color rgbf <0.659, 0.549, 0.443, 0.000>]
    [0.729, 1.001   color rgbf <0.659, 0.549, 0.443, 0.000>
                    color rgbf <0.545, 0.380, 0.345, 0.000>]
 }
 }}


//------- Dark Orchid Olive & Dark Putty
#declare T_Grnt7 =
	texture {
	pigment
	 {granite
	  turbulence 0.5
	  color_map
	   {[0.000, 0.153   color rgbf <0.439, 0.310, 0.282, 0.000>
	                    color rgbf <0.463, 0.369, 0.259, 0.000>]
	    [0.153, 0.398   color rgbf <0.463, 0.369, 0.259, 0.000>
	                    color rgbf <0.541, 0.369, 0.298, 0.000>]
	    [0.398, 0.559   color rgbf <0.541, 0.369, 0.298, 0.000>
	                    color rgbf <0.573, 0.424, 0.286, 0.000>]
	    [0.559, 0.729   color rgbf <0.573, 0.424, 0.286, 0.000>
	                    color rgbf <0.494, 0.396, 0.306, 0.000>]
	    [0.729, 1.001   color rgbf <0.494, 0.396, 0.306, 0.000>
	                    color rgbf <0.439, 0.310, 0.282, 0.000>]
	   }
	 }
	}


//--------- Rose & Light cream Yellows
#declare T_Grnt8 =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.179   color rgbf <0.843, 0.655, 0.655, 0.000>
                    color rgbf <0.886, 0.769, 0.627, 0.000>]
    [0.179, 0.368   color rgbf <0.886, 0.769, 0.627, 0.000>
                    color rgbf <0.906, 0.820, 0.714, 0.000>]
    [0.368, 0.538   color rgbf <0.906, 0.820, 0.714, 0.000>
                    color rgbf <0.851, 0.671, 0.671, 0.000>]
    [0.538, 0.846   color rgbf <0.851, 0.671, 0.671, 0.000>
                    color rgbf <0.890, 0.792, 0.675, 0.000>]
    [0.846, 0.983   color rgbf <0.890, 0.792, 0.675, 0.000>
                    color rgbf <0.827, 0.612, 0.612, 0.000>]
    [0.983, 1.001   color rgbf <0.827, 0.612, 0.612, 0.000>
                    color rgbf <0.843, 0.655, 0.655, 0.000>]
 }
 }}

//--------- Light Steely Grays
#declare T_Grnt9 =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.154   color rgbf <0.894, 0.886, 0.886, 0.000>
                    color rgbf <0.745, 0.745, 0.753, 0.000>]
    [0.154, 0.308   color rgbf <0.745, 0.745, 0.753, 0.000>
                    color rgbf <0.902, 0.902, 0.859, 0.000>]
    [0.308, 0.444   color rgbf <0.902, 0.902, 0.859, 0.000>
                    color rgbf <0.729, 0.706, 0.694, 0.000>]
    [0.444, 0.615   color rgbf <0.729, 0.706, 0.694, 0.000>
                    color rgbf <0.588, 0.592, 0.635, 0.000>]
    [0.615, 0.803   color rgbf <0.588, 0.592, 0.635, 0.000>
                    color rgbf <0.608, 0.616, 0.659, 0.000>]
    [0.803, 1.001   color rgbf <0.608, 0.616, 0.659, 0.000>
                    color rgbf <0.894, 0.886, 0.886, 0.000>]
 }}
 }

//--------- Gray Creams & lavender tans
#declare T_Grnt10 =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.154   color rgbf <0.890, 0.690, 0.690, 0.000>
                    color rgbf <0.996, 0.835, 0.737, 0.000>]
    [0.154, 0.308   color rgbf <0.996, 0.835, 0.737, 0.000>
                    color rgbf <0.745, 0.635, 0.651, 0.004>]
    [0.308, 0.444   color rgbf <0.745, 0.635, 0.651, 0.004>
                    color rgbf <0.733, 0.596, 0.557, 0.004>]
    [0.444, 0.615   color rgbf <0.733, 0.596, 0.557, 0.004>
                    color rgbf <0.996, 0.835, 0.737, 0.000>]
    [0.615, 0.803   color rgbf <0.996, 0.835, 0.737, 0.000>
                    color rgbf <0.765, 0.616, 0.659, 0.000>]
    [0.803, 1.001   color rgbf <0.765, 0.616, 0.659, 0.000>
                    color rgbf <0.890, 0.690, 0.690, 0.000>]
 }
 }}

//--------- Creams & Grays Kakhi
#declare T_Grnt11 =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.154   color rgbf <0.800, 0.651, 0.557, 0.000>
                    color rgbf <0.996, 0.835, 0.737, 0.000>]
    [0.154, 0.308   color rgbf <0.996, 0.835, 0.737, 0.000>
                    color rgbf <0.800, 0.651, 0.557, 0.000>]
    [0.308, 0.444   color rgbf <0.800, 0.651, 0.557, 0.000>
                    color rgbf <0.694, 0.624, 0.604, 0.004>]
    [0.444, 0.615   color rgbf <0.694, 0.624, 0.604, 0.004>
                    color rgbf <0.800, 0.651, 0.557, 0.000>]
    [0.615, 0.812   color rgbf <0.800, 0.651, 0.557, 0.000>
                    color rgbf <0.725, 0.655, 0.651, 0.000>]
    [0.812, 1.001   color rgbf <0.725, 0.655, 0.651, 0.000>
                    color rgbf <0.800, 0.651, 0.557, 0.000>]
 }
 }}

//--------- Tan Cream & Red Rose
#declare T_Grnt12 =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.154   color rgbf <0.996, 0.969, 0.800, 0.000>
                    color rgbf <0.996, 0.682, 0.604, 0.000>]
    [0.154, 0.308   color rgbf <0.996, 0.682, 0.604, 0.000>
                    color rgbf <0.906, 0.820, 0.714, 0.000>]
    [0.308, 0.444   color rgbf <0.906, 0.820, 0.714, 0.000>
                    color rgbf <0.816, 0.631, 0.537, 0.000>]
    [0.444, 0.615   color rgbf <0.816, 0.631, 0.537, 0.000>
                    color rgbf <0.890, 0.792, 0.675, 0.000>]
    [0.615, 0.812   color rgbf <0.890, 0.792, 0.675, 0.000>
                    color rgbf <0.973, 0.627, 0.627, 0.000>]
    [0.812, 1.001   color rgbf <0.973, 0.627, 0.627, 0.000>
                    color rgbf <0.996, 0.969, 0.800, 0.000>]
 }
 }}

//--------- Cream Rose orange
#declare T_Grnt13 =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.154   color rgbf <0.996, 0.824, 0.780, 0.000>
                    color rgbf <0.996, 0.698, 0.624, 0.000>]
    [0.154, 0.308   color rgbf <0.996, 0.698, 0.624, 0.000>
                    color rgbf <0.906, 0.675, 0.553, 0.000>]
    [0.308, 0.444   color rgbf <0.906, 0.675, 0.553, 0.000>
                    color rgbf <0.996, 0.682, 0.604, 0.000>]
    [0.444, 0.615   color rgbf <0.996, 0.682, 0.604, 0.000>
                    color rgbf <0.996, 0.824, 0.780, 0.000>]
    [0.615, 0.812   color rgbf <0.996, 0.824, 0.780, 0.000>
                    color rgbf <0.973, 0.627, 0.627, 0.000>]
    [0.812, 1.001   color rgbf <0.973, 0.627, 0.627, 0.000>
                    color rgbf <0.996, 0.824, 0.780, 0.000>]
 }
 }}

//--------- Cream Rose & light moss & light Violet
#declare T_Grnt14 =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.154   color rgbf <0.690, 0.612, 0.569, 0.000>
                    color rgbf <0.737, 0.596, 0.522, 0.000>]
    [0.154, 0.368   color rgbf <0.737, 0.596, 0.522, 0.000>
                    color rgbf <0.776, 0.702, 0.624, 0.000>]
    [0.368, 0.538   color rgbf <0.776, 0.702, 0.624, 0.000>
                    color rgbf <0.796, 0.678, 0.643, 0.000>]
    [0.538, 0.846   color rgbf <0.796, 0.678, 0.643, 0.000>
                    color rgbf <0.690, 0.612, 0.569, 0.000>]
    [0.846, 0.932   color rgbf <0.690, 0.612, 0.569, 0.000>
                    color rgbf <0.773, 0.612, 0.569, 0.000>]
    [0.932, 1.001   color rgbf <0.773, 0.612, 0.569, 0.000>
                    color rgbf <0.690, 0.612, 0.569, 0.000>]
 }
 }}

//--------- Black with subtle chroma
#declare T_Grnt15 =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.104   color rgbf <0.161, 0.133, 0.118, 0.000>
                    color rgbf <0.110, 0.082, 0.071, 0.000>]
    [0.104, 0.252   color rgbf <0.110, 0.082, 0.071, 0.000>
                    color rgbf <0.161, 0.133, 0.118, 0.000>]
    [0.252, 0.383   color rgbf <0.161, 0.133, 0.118, 0.000>
                    color rgbf <0.000, 0.000, 0.000, 0.000>]
    [0.383, 0.643   color rgbf <0.000, 0.000, 0.000, 0.000>
                    color rgbf <0.161, 0.133, 0.118, 0.000>]
    [0.643, 0.783   color rgbf <0.161, 0.133, 0.118, 0.000>
                    color rgbf <0.220, 0.149, 0.137, 0.000>]
    [0.783, 0.922   color rgbf <0.220, 0.149, 0.137, 0.000>
                    color rgbf <0.000, 0.000, 0.000, 0.000>]
    [0.922, 0.983   color rgbf <0.000, 0.000, 0.000, 0.000>
                    color rgbf <0.220, 0.149, 0.137, 0.000>]
    [0.983, 1.001   color rgbf <0.220, 0.149, 0.137, 0.000>
                    color rgbf <0.161, 0.133, 0.118, 0.000>]
 }
 }}

//----- White Cream & Peach
#declare T_Grnt16 =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.316   color rgbf <0.910, 0.788, 0.788, 0.000>
                    color rgbf <0.922, 0.914, 0.871, 0.000>]
    [0.316, 0.453   color rgbf <0.922, 0.914, 0.871, 0.000>
                    color rgbf <0.894, 0.867, 0.780, 0.000>]
    [0.453, 0.624   color rgbf <0.894, 0.867, 0.780, 0.000>
                    color rgbf <0.784, 0.788, 0.788, 0.000>]
    [0.624, 0.726   color rgbf <0.784, 0.788, 0.788, 0.000>
                    color rgbf <0.851, 0.812, 0.741, 0.000>]
    [0.726, 0.863   color rgbf <0.851, 0.812, 0.741, 0.000>
                    color rgbf <0.647, 0.655, 0.655, 0.000>]
    [0.863, 1.001   color rgbf <0.647, 0.655, 0.655, 0.000>
                    color rgbf <0.910, 0.788, 0.788, 0.000>]
 }
 }}

//----- Bug Juice & Green
#declare T_Grnt17 =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.303   color rgbf <0.000, 0.239, 0.000, 0.000>
                    color rgbf <0.333, 0.294, 0.000, 0.000>]
    [0.303, 0.588   color rgbf <0.333, 0.294, 0.000, 0.000>
                    color rgbf <0.000, 0.239, 0.341, 0.000>]
    [0.588, 0.790   color rgbf <0.000, 0.239, 0.341, 0.000>
                    color rgbf <0.000, 0.020, 0.000, 0.000>]
    [0.790, 1.001   color rgbf <0.000, 0.020, 0.000, 0.000>
                    color rgbf <0.000, 0.239, 0.000, 0.000>]
 }
 }}

//------------ Rose & cream yellow
#declare T_Grnt18 =
texture {
pigment
 {granite
  turbulence 0.4
  color_map
   {[0.000, 0.202   color rgbf <1.000, 0.718, 0.541, 0.000>
                    color rgbf <0.890, 0.651, 0.612, 0.000>]
    [0.202, 0.298   color rgbf <0.890, 0.651, 0.612, 0.000>
                    color rgbf <1.000, 0.820, 0.675, 0.000>]
    [0.298, 0.377   color rgbf <1.000, 0.820, 0.675, 0.000>
                    color rgbf <0.890, 0.643, 0.612, 0.000>]
    [0.377, 0.465   color rgbf <0.890, 0.643, 0.612, 0.000>
                    color rgbf <0.937, 0.729, 0.561, 0.000>]
    [0.465, 0.544   color rgbf <0.937, 0.729, 0.561, 0.000>
                    color rgbf <0.878, 0.604, 0.565, 0.000>]
    [0.544, 0.640   color rgbf <0.878, 0.604, 0.565, 0.000>
                    color rgbf <0.984, 0.780, 0.655, 0.000>]
    [0.640, 0.860   color rgbf <0.984, 0.780, 0.655, 0.000>
                    color rgbf <1.000, 0.863, 0.635, 0.000>]
    [0.860, 0.982   color rgbf <1.000, 0.863, 0.635, 0.000>
                    color rgbf <1.000, 0.765, 0.620, 0.000>]
    [0.982, 1.001   color rgbf <1.000, 0.765, 0.620, 0.000>
                    color rgbf <1.000, 0.718, 0.541, 0.000>]
 }
 }}

//--------- Gray Marble with White feather Viens
#declare T_Grnt19 =
texture {
pigment
 {granite
  turbulence 0.0
  color_map
   {[0.0, 0.3 color White color DimGray]
    [0.3, 0.4 color DimGray color DimGray]
    [0.4, 0.6 color DimGray color DimGray]
    [0.6, 1.0 color DimGray color DimGray]
   }
 }
 finish {
  crand 0.02
 }}

//--------- White Marble with Gray feather Viens
#declare T_Grnt20 =
texture {
pigment
 {granite
  turbulence 0.0
  color_map
   {[0.0, 0.3 color Mica color White]
    [0.3, 0.4 color White color White]
    [0.4, 0.6 color White color White]
    [0.6, 1.0 color White color White]
   }
 }
 finish {
  crand 0.02
 }}





//--------- Green Jade
#declare T_Grnt21 =
texture {
pigment
 {granite
  turbulence 0.0
  color_map
   {[0.0, 0.1 color White    filter 0.3 color SeaGreen  filter 0.4]
    [0.1, 0.3 color SeaGreen filter 0.4 color g2        filter 0.7]
    [0.3, 0.5 color g2       filter 0.7 color DarkGreen filter 0.7]
    [0.5, 0.7 color DarkGreen  filter 0.7 color g4 filter 0.7]
    [0.7, 0.8 color g4         filter 0.7 color DarkGreen filter 0.7]
    [0.8, 1.0 color DarkGreen  filter 0.7 color DarkGreen filter 0.7]
   }
 }
 finish {
  crand 0.02
} }

//--------- Clear with White feather Viens ----- This one does contain Filter
#declare T_Grnt22 =
texture {
pigment
 {granite
  turbulence 0.0
  color_map
   {[0.0, 0.07 color White color White]
    [0.07, 0.2 color White color DimGray]
    [0.2, 0.3 color DimGray color Clear]
    [0.3, 0.7 color Clear color Clear]
    [0.7, 1.0 color Clear color DimGray]
   }
 }
 finish {
  crand 0.02
 }}

//---------- Light Tan to Mouve
#declare T_Grnt23 =
texture {
pigment
 {marble
  turbulence 0.5
  color_map
   {[0.000, 0.178   color rgbf <0.831, 0.631, 0.569, 0.000>
                    color rgbf <0.925, 0.831, 0.714, 0.000>]
    [0.178, 0.356   color rgbf <0.925, 0.831, 0.714, 0.000>
                    color rgbf <0.871, 0.702, 0.659, 0.000>]
    [0.356, 0.525   color rgbf <0.871, 0.702, 0.659, 0.000>
                    color rgbf <0.831, 0.631, 0.569, 0.000>]
    [0.525, 0.729   color rgbf <0.831, 0.631, 0.569, 0.000>
                    color rgbf <0.937, 0.882, 0.820, 0.000>]
    [0.729, 1.001   color rgbf <0.937, 0.882, 0.820, 0.000>
                    color rgbf <0.831, 0.631, 0.569, 0.000>]
 }
 }}

//--------- Light Grays
#declare T_Grnt24 =
texture {
pigment
 {marble
  turbulence 0.6
  color_map
   {[0.000, 0.154   color rgbf <0.894, 0.886, 0.886, 0.000>
                    color rgbf <0.745, 0.745, 0.753, 0.000>]
    [0.154, 0.308   color rgbf <0.745, 0.745, 0.753, 0.000>
                    color rgbf <0.902, 0.902, 0.859, 0.000>]
    [0.308, 0.444   color rgbf <0.902, 0.902, 0.859, 0.000>
                    color rgbf <0.729, 0.706, 0.694, 0.000>]
    [0.444, 0.615   color rgbf <0.729, 0.706, 0.694, 0.000>
                    color rgbf <0.588, 0.592, 0.635, 0.000>]
    [0.615, 0.803   color rgbf <0.588, 0.592, 0.635, 0.000>
                    color rgbf <0.608, 0.616, 0.659, 0.000>]
    [0.803, 1.001   color rgbf <0.608, 0.616, 0.659, 0.000>
                    color rgbf <0.894, 0.886, 0.886, 0.000>]
 }
 }}

//------------ Moss Greens & Tan
#declare T_Grnt25 =
texture {
pigment
 {marble
  turbulence 0.7
  color_map
   {[0.000, 0.168   color rgbf <0.824, 0.725, 0.584, 0.000>
                    color rgbf <0.514, 0.584, 0.533, 0.000>]
    [0.168, 0.301   color rgbf <0.514, 0.584, 0.533, 0.000>
                    color rgbf <0.298, 0.376, 0.318, 0.000>]
    [0.301, 0.398   color rgbf <0.298, 0.376, 0.318, 0.000>
                    color rgbf <0.263, 0.337, 0.282, 0.000>]
    [0.398, 0.558   color rgbf <0.263, 0.337, 0.282, 0.000>
                    color rgbf <0.431, 0.506, 0.451, 0.000>]
    [0.558, 0.655   color rgbf <0.431, 0.506, 0.451, 0.000>
                    color rgbf <0.529, 0.631, 0.471, 0.000>]
    [0.655, 0.735   color rgbf <0.529, 0.631, 0.471, 0.000>
                    color rgbf <0.333, 0.376, 0.318, 0.000>]
    [0.735, 0.823   color rgbf <0.333, 0.376, 0.318, 0.000>
                    color rgbf <0.298, 0.376, 0.318, 0.000>]
    [0.823, 0.876   color rgbf <0.298, 0.376, 0.318, 0.000>
                    color rgbf <0.416, 0.376, 0.318, 0.000>]
    [0.876, 0.929   color rgbf <0.416, 0.376, 0.318, 0.000>
                    color rgbf <0.416, 0.376, 0.318, 0.000>]
    [0.929, 1.001   color rgbf <0.416, 0.376, 0.318, 0.000>
                    color rgbf <0.824, 0.725, 0.584, 0.000>]
 }
 }}

//---------- Salmon with thin Green Viens
#declare T_Grnt26 =
texture {
pigment
 {granite
  color_map
   {[0.000, 0.241   color rgbf <0.973, 0.973, 0.976, 0.000>
                    color rgbf <0.973, 0.973, 0.976, 0.000>]
    [0.241, 0.284   color rgbf <0.973, 0.973, 0.976, 0.000>
                    color rgbf <0.600, 0.741, 0.608, 0.000>]
    [0.284, 0.336   color rgbf <0.600, 0.741, 0.608, 0.000>
                    color rgbf <0.820, 0.643, 0.537, 0.000>]
    [0.336, 0.474   color rgbf <0.820, 0.643, 0.537, 0.000>
                    color rgbf <0.886, 0.780, 0.714, 0.000>]
    [0.474, 0.810   color rgbf <0.886, 0.780, 0.714, 0.000>
                    color rgbf <0.996, 0.643, 0.537, 0.000>]
    [0.810, 0.836   color rgbf <0.996, 0.643, 0.537, 0.000>
                    color rgbf <0.973, 0.973, 0.976, 0.000>]
    [0.836, 1.001   color rgbf <0.973, 0.973, 0.976, 0.000>
                    color rgbf <0.973, 0.973, 0.976, 0.000>]
   }
 }
 finish {
  crand 0.02
 }}

//------ Dark Green & Browns
#declare T_Grnt27 =
texture {
pigment
 {granite
  color_map
   {[0.000, 0.043   color rgbf <0.773, 0.647, 0.569, 0.000>
                    color rgbf <0.431, 0.322, 0.227, 0.000>]
    [0.043, 0.113   color rgbf <0.431, 0.322, 0.227, 0.000>
                    color rgbf <0.278, 0.282, 0.216, 0.000>]
    [0.113, 0.304   color rgbf <0.278, 0.282, 0.216, 0.000>
                    color rgbf <0.278, 0.282, 0.216, 0.000>]
    [0.304, 0.426   color rgbf <0.278, 0.282, 0.216, 0.000>
                    color rgbf <0.459, 0.341, 0.243, 0.000>]
    [0.426, 0.843   color rgbf <0.459, 0.341, 0.243, 0.000>
                    color rgbf <0.459, 0.341, 0.243, 0.000>]
    [0.843, 0.878   color rgbf <0.459, 0.341, 0.243, 0.000>
                    color rgbf <0.459, 0.341, 0.243, 0.000>]
    [0.878, 0.983   color rgbf <0.459, 0.341, 0.243, 0.000>
                    color rgbf <0.278, 0.282, 0.216, 0.000>]
    [0.983, 1.001   color rgbf <0.278, 0.282, 0.216, 0.000>
                    color rgbf <0.773, 0.647, 0.569, 0.000>]
 }
 }}

//------- Red Swirl
#declare T_Grnt28 =
texture {
pigment
 {marble
  turbulence 0.7
  color_map
   {[0.000, 0.155   color rgbf <0.686, 0.235, 0.282, 0.000>
                    color rgbf <0.686, 0.235, 0.282, 0.000>]
    [0.155, 0.328   color rgbf <0.686, 0.235, 0.282, 0.000>
                    color rgbf <0.494, 0.243, 0.294, 0.000>]
    [0.328, 0.474   color rgbf <0.494, 0.243, 0.294, 0.000>
                    color rgbf <0.769, 0.329, 0.373, 0.000>]
    [0.474, 0.647   color rgbf <0.769, 0.329, 0.373, 0.000>
                    color rgbf <0.769, 0.329, 0.373, 0.000>]
    [0.647, 0.810   color rgbf <0.769, 0.329, 0.373, 0.000>
                    color rgbf <0.686, 0.235, 0.282, 0.000>]
    [0.810, 0.922   color rgbf <0.686, 0.235, 0.282, 0.000>
                    color rgbf <0.792, 0.388, 0.427, 0.000>]
    [0.922, 1.001   color rgbf <0.792, 0.388, 0.427, 0.000>
                    color rgbf <0.686, 0.235, 0.282, 0.000>]
   }
 }
 finish {
  crand 0.03
 }}

//-------- White Tan & thin Reds
#declare T_Grnt29 =
texture {
pigment
 {marble
  turbulence 0.5
  color_map
   {[0.000, 0.053   color rgbf <0.784, 0.627, 0.522, 0.000>
                    color rgbf <0.784, 0.627, 0.624, 0.000>]
    [0.053, 0.263   color rgbf <0.784, 0.627, 0.624, 0.000>
                    color rgbf <0.824, 0.557, 0.376, 0.000>]
    [0.263, 0.281   color rgbf <0.824, 0.557, 0.376, 0.000>
                    color rgbf <0.643, 0.380, 0.376, 0.000>]
    [0.281, 0.325   color rgbf <0.643, 0.380, 0.376, 0.000>
                    color rgbf <0.839, 0.722, 0.722, 0.000>]
    [0.325, 0.711   color rgbf <0.839, 0.722, 0.722, 0.000>
                    color rgbf <0.784, 0.627, 0.522, 0.000>]
    [0.711, 0.798   color rgbf <0.784, 0.627, 0.522, 0.000>
                    color rgbf <0.769, 0.380, 0.376, 0.000>]
    [0.798, 0.895   color rgbf <0.769, 0.380, 0.376, 0.000>
                    color rgbf <0.824, 0.557, 0.376, 0.000>]
    [0.895, 0.982   color rgbf <0.824, 0.557, 0.376, 0.000>
                    color rgbf <0.784, 0.627, 0.522, 0.000>]
    [0.982, 1.001   color rgbf <0.784, 0.627, 0.522, 0.000>
                    color rgbf <0.784, 0.627, 0.522, 0.000>]
 }
 }}


#declare T_Grnt0a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.153   color rgbf <0.729, 0.502, 0.451, 0.306>
                    color rgbf <0.769, 0.686, 0.592, 0.792>]
    [0.153, 0.398   color rgbf <0.769, 0.686, 0.592, 0.792>
                    color rgbf <0.843, 0.753, 0.718, 0.396>]
    [0.398, 0.559   color rgbf <0.843, 0.753, 0.718, 0.396>
                    color rgbf <0.780, 0.667, 0.561, 0.976>]
    [0.559, 0.729   color rgbf <0.780, 0.667, 0.561, 0.976>
                    color rgbf <0.741, 0.659, 0.576, 0.820>]
    [0.729, 1.001   color rgbf <0.741, 0.659, 0.576, 0.820>
                    color rgbf <0.729, 0.502, 0.451, 0.306>]
   }
 }
}

//----- Translucent T_Grnt1
#declare T_Grnt1a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.212   color rgbf <0.898, 0.898, 0.851, 0.306>
                    color rgbf <0.969, 0.980, 0.875, 0.792>]
    [0.212, 0.424   color rgbf <0.969, 0.980, 0.875, 0.792>
                    color rgbf <0.859, 0.859, 0.859, 0.396>]
    [0.424, 0.627   color rgbf <0.859, 0.859, 0.859, 0.396>
                    color rgbf <0.992, 0.922, 0.659, 0.976>]
    [0.627, 0.881   color rgbf <0.992, 0.922, 0.659, 0.976>
                    color rgbf <0.937, 0.965, 0.902, 0.820>]
    [0.881, 1.001   color rgbf <0.937, 0.965, 0.902, 0.820>
                    color rgbf <0.898, 0.898, 0.851, 0.306>]
 }
 }}

//-----Translucent T_Grnt2
#declare T_Grnt2a = 
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.144   color rgbf <0.863, 0.757, 0.596, 0.596>
                    color rgbf <0.925, 0.792, 0.714, 0.349>]
    [0.144, 0.288   color rgbf <0.925, 0.792, 0.714, 0.349>
                    color rgbf <0.871, 0.702, 0.659, 0.784>]
    [0.288, 0.644   color rgbf <0.871, 0.702, 0.659, 0.784>
                    color rgbf <0.992, 0.922, 0.659, 0.498>]
    [0.644, 0.983   color rgbf <0.992, 0.922, 0.659, 0.498>
                    color rgbf <0.902, 0.812, 0.714, 0.722>]
    [0.983, 1.001   color rgbf <0.902, 0.812, 0.714, 0.722>
                    color rgbf <0.863, 0.757, 0.596, 0.596>]
   }
 }}

//-----Translucent T_Grnt3
#declare T_Grnt3a = 
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.153   color rgbf <0.831, 0.631, 0.569, 0.447>
                    color rgbf <0.925, 0.831, 0.714, 0.678>]
    [0.153, 0.297   color rgbf <0.925, 0.831, 0.714, 0.678>
                    color rgbf <0.871, 0.702, 0.659, 0.475>]
    [0.297, 0.441   color rgbf <0.871, 0.702, 0.659, 0.475>
                    color rgbf <0.831, 0.631, 0.569, 0.918>]
    [0.441, 0.763   color rgbf <0.831, 0.631, 0.569, 0.918>
                    color rgbf <0.937, 0.882, 0.820, 0.655>]
    [0.763, 1.001   color rgbf <0.937, 0.882, 0.820, 0.655>
                    color rgbf <0.831, 0.631, 0.569, 0.447>]
 }
 }}

//-----Translucent T_Grnt4
#declare T_Grnt4a = 
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.144   color rgbf <0.804, 0.569, 0.494, 0.569>
                    color rgbf <0.816, 0.725, 0.537, 0.467>]
    [0.144, 0.449   color rgbf <0.816, 0.725, 0.537, 0.467>
                    color rgbf <0.820, 0.580, 0.522, 0.584>]
    [0.449, 0.568   color rgbf <0.820, 0.580, 0.522, 0.584>
                    color rgbf <0.882, 0.725, 0.537, 0.871>]
    [0.568, 0.754   color rgbf <0.882, 0.725, 0.537, 0.871>
                    color rgbf <0.855, 0.729, 0.584, 0.816>]
    [0.754, 1.001   color rgbf <0.855, 0.729, 0.584, 0.816>
                    color rgbf <0.804, 0.569, 0.494, 0.569>]
   }
 }}

//-----Translucent T_Grnt5
#declare T_Grnt5a = 
texture {
pigment
 {granite
  turbulence 0.5
  color_map
   {[0.000, 0.178   color rgbf <0.804, 0.569, 0.494, 0.569>
                    color rgbf <0.855, 0.729, 0.584, 0.467>]
    [0.178, 0.356   color rgbf <0.855, 0.729, 0.584, 0.467>
                    color rgbf <0.667, 0.502, 0.478, 0.584>]
    [0.356, 0.525   color rgbf <0.667, 0.502, 0.478, 0.584>
                    color rgbf <0.859, 0.624, 0.545, 0.871>]
    [0.525, 0.729   color rgbf <0.859, 0.624, 0.545, 0.871>
                    color rgbf <0.855, 0.729, 0.584, 0.816>]
    [0.729, 1.001   color rgbf <0.855, 0.729, 0.584, 0.816>
                    color rgbf <0.804, 0.569, 0.494, 0.569>]
 }
 }}

//-----Translucent T_Grnt6
#declare T_Grnt6a = 
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.263   color rgbf <0.545, 0.380, 0.345, 0.733>
                    color rgbf <0.588, 0.475, 0.333, 0.741>]
    [0.263, 0.432   color rgbf <0.588, 0.475, 0.333, 0.741>
                    color rgbf <0.675, 0.478, 0.404, 0.545>]
    [0.432, 0.551   color rgbf <0.675, 0.478, 0.404, 0.545>
                    color rgbf <0.757, 0.635, 0.522, 0.384>]
    [0.551, 0.720   color rgbf <0.757, 0.635, 0.522, 0.384>
                    color rgbf <0.659, 0.549, 0.443, 0.675>]
    [0.720, 1.001   color rgbf <0.659, 0.549, 0.443, 0.675>
                    color rgbf <0.545, 0.380, 0.345, 0.733>]
   }
 }}

//-----Translucent T_Grnt7a
#declare T_Grnt7a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.119   color rgbf <0.439, 0.310, 0.282, 0.631>
                    color rgbf <0.463, 0.369, 0.259, 0.847>]
    [0.119, 0.322   color rgbf <0.463, 0.369, 0.259, 0.847>
                    color rgbf <0.541, 0.369, 0.298, 0.549>]
    [0.322, 0.449   color rgbf <0.541, 0.369, 0.298, 0.549>
                    color rgbf <0.573, 0.424, 0.286, 0.965>]
    [0.449, 0.729   color rgbf <0.573, 0.424, 0.286, 0.965>
                    color rgbf <0.494, 0.396, 0.306, 0.741>]
    [0.729, 1.001   color rgbf <0.494, 0.396, 0.306, 0.741>
                    color rgbf <0.439, 0.310, 0.282, 0.631>]
 }
 }}

//-----Aqua Tints
#declare T_Grnt8a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.119   color rgbf <0.310, 0.384, 0.420, 0.631>
                    color rgbf <0.322, 0.369, 0.416, 0.847>]
    [0.119, 0.322   color rgbf <0.322, 0.369, 0.416, 0.847>
                    color rgbf <0.424, 0.369, 0.420, 0.549>]
    [0.322, 0.449   color rgbf <0.424, 0.369, 0.420, 0.549>
                    color rgbf <0.373, 0.424, 0.518, 0.965>]
    [0.449, 0.729   color rgbf <0.373, 0.424, 0.518, 0.965>
                    color rgbf <0.482, 0.573, 0.533, 0.741>]
    [0.729, 1.001   color rgbf <0.482, 0.573, 0.533, 0.741>
                    color rgbf <0.310, 0.384, 0.420, 0.631>]
 }
 }}

#declare T_Grnt9a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.216   color rgbf <0.812, 0.812, 0.812, 0.835>
                    color rgbf <0.745, 0.843, 0.835, 0.847>]
    [0.216, 0.241   color rgbf <0.745, 0.843, 0.835, 0.847>
                    color rgbf <0.404, 0.337, 0.337, 0.463>]
    [0.241, 0.267   color rgbf <0.404, 0.337, 0.337, 0.463>
                    color rgbf <0.773, 0.729, 0.745, 0.622>]
    [0.267, 0.759   color rgbf <0.773, 0.729, 0.745, 0.622>
                    color rgbf <0.914, 0.843, 0.725, 0.651>]
    [0.759, 0.784   color rgbf <0.914, 0.843, 0.725, 0.651>
                    color rgbf <0.153, 0.133, 0.208, 0.437>]
    [0.784, 0.810   color rgbf <0.153, 0.133, 0.208, 0.437>
                    color rgbf <0.812, 0.812, 0.812, 0.835>]
    [0.810, 1.001   color rgbf <0.812, 0.812, 0.812, 0.835>
                    color rgbf <0.812, 0.812, 0.812, 0.835>]
 }
 }}

//--------- Filter Cream Rose & light yellow
#declare T_Grnt10a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.179   color rgbf <0.843, 0.655, 0.655, 0.455>
                    color rgbf <0.886, 0.769, 0.627, 0.608>]
    [0.179, 0.368   color rgbf <0.886, 0.769, 0.627, 0.608>
                    color rgbf <0.906, 0.820, 0.714, 0.392>]
    [0.368, 0.538   color rgbf <0.906, 0.820, 0.714, 0.392>
                    color rgbf <0.851, 0.671, 0.671, 0.659>]
    [0.538, 0.744   color rgbf <0.851, 0.671, 0.671, 0.659>
                    color rgbf <0.890, 0.792, 0.675, 0.392>]
    [0.744, 0.983   color rgbf <0.890, 0.792, 0.675, 0.392>
                    color rgbf <0.827, 0.612, 0.612, 0.706>]
    [0.983, 1.001   color rgbf <0.827, 0.612, 0.612, 0.706>
                    color rgbf <0.843, 0.655, 0.655, 0.455>]
 }
 }}

//--------- Filter Light Grays
#declare T_Grnt11a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.154   color rgbf <0.894, 0.886, 0.886, 0.659>
                    color rgbf <0.745, 0.745, 0.753, 0.584>]
    [0.154, 0.308   color rgbf <0.745, 0.745, 0.753, 0.584>
                    color rgbf <0.902, 0.902, 0.859, 0.780>]
    [0.308, 0.444   color rgbf <0.902, 0.902, 0.859, 0.780>
                    color rgbf <0.729, 0.706, 0.694, 0.686>]
    [0.444, 0.615   color rgbf <0.729, 0.706, 0.694, 0.686>
                    color rgbf <0.588, 0.592, 0.635, 0.424>]
    [0.615, 0.803   color rgbf <0.588, 0.592, 0.635, 0.424>
                    color rgbf <0.608, 0.616, 0.659, 0.761>]
    [0.803, 1.001   color rgbf <0.608, 0.616, 0.659, 0.761>
                    color rgbf <0.894, 0.886, 0.886, 0.659>]
 }
 }}

//--------- Filter Creams & Tans
#declare T_Grnt12a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.154   color rgbf <0.890, 0.690, 0.690, 0.659>
                    color rgbf <0.996, 0.835, 0.737, 0.659>]
    [0.154, 0.308   color rgbf <0.996, 0.835, 0.737, 0.659>
                    color rgbf <0.745, 0.635, 0.651, 0.780>]
    [0.308, 0.444   color rgbf <0.745, 0.635, 0.651, 0.780>
                    color rgbf <0.733, 0.596, 0.557, 0.686>]
    [0.444, 0.615   color rgbf <0.733, 0.596, 0.557, 0.686>
                    color rgbf <0.996, 0.835, 0.737, 0.659>]
    [0.615, 0.803   color rgbf <0.996, 0.835, 0.737, 0.659>
                    color rgbf <0.765, 0.616, 0.659, 0.761>]
    [0.803, 1.001   color rgbf <0.765, 0.616, 0.659, 0.761>
                    color rgbf <0.890, 0.690, 0.690, 0.659>]
 }
 }}

//--------- Filter Creams & Grays
#declare T_Grnt13a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.154   color rgbf <0.800, 0.651, 0.557, 0.000>
                    color rgbf <0.996, 0.835, 0.737, 0.608>]
    [0.154, 0.308   color rgbf <0.996, 0.835, 0.737, 0.608>
                    color rgbf <0.800, 0.651, 0.557, 0.635>]
    [0.308, 0.444   color rgbf <0.800, 0.651, 0.557, 0.635>
                    color rgbf <0.694, 0.624, 0.604, 0.294>]
    [0.444, 0.615   color rgbf <0.694, 0.624, 0.604, 0.294>
                    color rgbf <0.800, 0.651, 0.557, 0.816>]
    [0.615, 0.812   color rgbf <0.800, 0.651, 0.557, 0.816>
                    color rgbf <0.725, 0.655, 0.651, 0.957>]
    [0.812, 1.001   color rgbf <0.725, 0.655, 0.651, 0.957>
                    color rgbf <0.800, 0.651, 0.557, 0.000>]
 }
 }}

//--------- Cream Rose & light moss
#declare T_Grnt14a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.154   color rgbf <0.996, 0.969, 0.800, 0.373>
                    color rgbf <0.996, 0.682, 0.604, 0.412>]
    [0.154, 0.308   color rgbf <0.996, 0.682, 0.604, 0.412>
                    color rgbf <0.906, 0.820, 0.714, 0.616>]
    [0.308, 0.444   color rgbf <0.906, 0.820, 0.714, 0.616>
                    color rgbf <0.816, 0.631, 0.537, 0.443>]
    [0.444, 0.615   color rgbf <0.816, 0.631, 0.537, 0.443>
                    color rgbf <0.890, 0.792, 0.675, 0.745>]
    [0.615, 0.812   color rgbf <0.890, 0.792, 0.675, 0.745>
                    color rgbf <0.973, 0.627, 0.627, 0.600>]
    [0.812, 1.001   color rgbf <0.973, 0.627, 0.627, 0.600>
                    color rgbf <0.996, 0.969, 0.800, 0.373>]
 }
 }}

//--------- Filter Sand & light Orange
#declare T_Grnt15a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.154   color rgbf <0.996, 0.824, 0.780, 0.412>
                    color rgbf <0.996, 0.698, 0.624, 0.412>]
    [0.154, 0.308   color rgbf <0.996, 0.698, 0.624, 0.412>
                    color rgbf <0.906, 0.675, 0.553, 0.616>]
    [0.308, 0.444   color rgbf <0.906, 0.675, 0.553, 0.616>
                    color rgbf <0.996, 0.682, 0.604, 0.412>]
    [0.444, 0.615   color rgbf <0.996, 0.682, 0.604, 0.412>
                    color rgbf <0.996, 0.824, 0.780, 0.412>]
    [0.615, 0.812   color rgbf <0.996, 0.824, 0.780, 0.412>
                    color rgbf <0.973, 0.627, 0.627, 0.600>]
    [0.812, 1.001   color rgbf <0.973, 0.627, 0.627, 0.600>
                    color rgbf <0.996, 0.824, 0.780, 0.412>]
 }
 }}

//--------- Cream Rose & light moss
#declare T_Grnt16a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.078   color rgbf <0.769, 0.722, 0.690, 0.180>
                    color rgbf <0.745, 0.690, 0.655, 1.000>]
    [0.078, 0.96    color rgbf <0.745, 0.690, 0.655, 1.000>
                    color rgbf <0.839, 0.804, 0.780, 1.000>]
    [0.96, 1.001    color rgbf <0.839, 0.804, 0.780, 0.278>
                    color rgbf <0.769, 0.722, 0.690, 0.180>]
 }
 }}

#declare T_Grnt17a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.034   color rgbf <0.027, 0.012, 0.012, 0.000>
                    color rgbf <0.851, 0.812, 0.741, 0.235>]
    [0.034, 0.342   color rgbf <0.851, 0.812, 0.741, 0.235>
                    color rgbf <0.792, 0.694, 0.690, 0.839>]
    [0.342, 0.462   color rgbf <0.792, 0.694, 0.690, 0.839>
                    color rgbf <0.631, 0.506, 0.471, 0.608>]
    [0.462, 0.632   color rgbf <0.631, 0.506, 0.471, 0.608>
                    color rgbf <0.851, 0.812, 0.741, 0.922>]
    [0.632, 0.983   color rgbf <0.851, 0.812, 0.741, 0.922>
                    color rgbf <0.647, 0.655, 0.655, 0.282>]
    [0.983, 1.001   color rgbf <0.647, 0.655, 0.655, 0.282>
                    color rgbf <0.027, 0.012, 0.012, 0.000>]
 }
 }}

#declare T_Grnt18a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.128   color rgbf <0.820, 0.580, 0.580, 0.000>
                    color rgbf <0.851, 0.812, 0.741, 0.235>]
    [0.128, 0.282   color rgbf <0.851, 0.812, 0.741, 0.235>
                    color rgbf <0.792, 0.694, 0.690, 0.282>]
    [0.282, 0.393   color rgbf <0.792, 0.694, 0.690, 0.282>
                    color rgbf <0.647, 0.655, 0.655, 0.133>]
    [0.393, 0.590   color rgbf <0.647, 0.655, 0.655, 0.133>
                    color rgbf <0.851, 0.812, 0.741, 0.333>]
    [0.590, 0.983   color rgbf <0.851, 0.812, 0.741, 0.333>
                    color rgbf <0.647, 0.655, 0.655, 0.282>]
    [0.983, 1.001   color rgbf <0.647, 0.655, 0.655, 0.282>
                    color rgbf <0.820, 0.580, 0.580, 0.000>]
 }
 }}

//--------- Gray Marble with White feather Viens with Filter
#declare T_Grnt19a =
texture {
pigment
 {granite
  turbulence 0.0
  color_map
   {[0.0, 0.3 color White filter 0.0 color DimGray filter 0.5]
    [0.3, 0.4 color DimGray filter 0.5 color DimGray filter 0.8]
    [0.4, 1.0 color DimGray filter 0.8 color DimGray filter 0.9]
   }
 }
 finish {
  crand 0.02
 }}

//--------- White Feature Viens
#declare T_Grnt20a =
texture {
pigment
 {granite
  turbulence 0.0
  color_map
   {[0.0, 0.2 color White filter 0.0 color White filter 0.7]
    [0.2, 0.3 color White filter 0.7 color Clear]
    [0.3, 1.0 color Clear color Clear]
   }
 }
 finish {
  crand 0.02
 }}

//--------- Thinner White Feature Viens
#declare T_Grnt21a =
texture {
pigment
 {granite
  turbulence 0.0
  color_map
   {[0.0, 0.2 color White filter 0.4 color White filter 0.8]
    [0.2, 0.3 color White filter 0.8 color Clear]
    [0.3, 1.0 color Clear color Clear]
   }
 }
 finish {
  crand 0.02
 }}

#declare T_Grnt22a =
texture {
pigment
 {granite
  turbulence 0.5
  color_map
   {[0.000, 0.175   color rgbf <1.000, 0.718, 0.541, 0.890>
                    color rgbf <0.843, 0.678, 0.655, 0.753>]
    [0.175, 0.228   color rgbf <0.843, 0.678, 0.655, 0.753>
                    color rgbf <0.906, 0.831, 0.773, 0.98>]
    [0.228, 0.386   color rgbf <0.906, 0.831, 0.773, 0.698>
                    color rgbf <0.992, 0.718, 0.545, 0.794>]
    [0.386, 0.412   color rgbf <0.992, 0.718, 0.545, 0.794>
                    color rgbf <0.333, 0.188, 0.067, 0.784>]
    [0.412, 0.439   color rgbf <0.333, 0.188, 0.067, 0.784>
                    color rgbf <0.925, 0.557, 0.514, 0.778>]
    [0.439, 0.684   color rgbf <0.925, 0.557, 0.514, 0.678>
                    color rgbf <0.984, 0.780, 0.655, 0.696>]
    [0.684, 0.781   color rgbf <0.984, 0.780, 0.655, 0.696>
                    color rgbf <0.965, 0.847, 0.675, 0.880>]
    [0.781, 0.982   color rgbf <0.965, 0.847, 0.675, 0.880>
                    color rgbf <1.000, 0.718, 0.541, 0.990>]
    [0.982, 1.001   color rgbf <1.000, 0.718, 0.541, 0.890>
                    color rgbf <1.000, 0.718, 0.541, 0.890>]
   }
 }}

//---------- Transparent Green Moss Colors
#declare T_Grnt23a =
texture {
pigment
 {granite
  color_map
   {[0.000, 0.168   color rgbf <0.824, 0.725, 0.584, 0.600>
                    color rgbf <0.514, 0.584, 0.533, 0.600>]
    [0.168, 0.301   color rgbf <0.514, 0.584, 0.533, 0.600>
                    color rgbf <0.298, 0.376, 0.318, 0.600>]
    [0.301, 0.398   color rgbf <0.298, 0.376, 0.318, 0.600>
                    color rgbf <0.263, 0.337, 0.282, 0.700>]
    [0.398, 0.558   color rgbf <0.263, 0.337, 0.282, 0.700>
                    color rgbf <0.431, 0.506, 0.451, 0.600>]
    [0.558, 0.655   color rgbf <0.431, 0.506, 0.451, 0.600>
                    color rgbf <0.529, 0.631, 0.471, 0.500>]
    [0.655, 0.735   color rgbf <0.529, 0.631, 0.471, 0.500>
                    color rgbf <0.333, 0.376, 0.318, 0.700>]
    [0.735, 0.823   color rgbf <0.333, 0.376, 0.318, 0.700>
                    color rgbf <0.298, 0.376, 0.318, 0.600>]
    [0.823, 0.876   color rgbf <0.298, 0.376, 0.318, 0.600>
                    color rgbf <0.416, 0.376, 0.318, 0.500>]
    [0.876, 0.929   color rgbf <0.416, 0.376, 0.318, 0.500>
                    color rgbf <0.416, 0.376, 0.318, 0.600>]
    [0.929, 1.001   color rgbf <0.416, 0.376, 0.318, 0.600>
                    color rgbf <0.824, 0.725, 0.584, 0.700>]
 }
 }}

#declare T_Grnt24a =
texture {
pigment
 {granite
  turbulence 0.5
  color_map
   {[0.000, 0.053   color rgbf <0.784, 0.627, 0.522, 0.500>
                    color rgbf <0.784, 0.627, 0.624, 0.500>]
    [0.053, 0.263   color rgbf <0.784, 0.627, 0.624, 0.500>
                    color rgbf <0.824, 0.557, 0.376, 0.500>]
    [0.263, 0.281   color rgbf <0.824, 0.557, 0.376, 0.500>
                    color rgbf <0.643, 0.380, 0.376, 0.500>]
    [0.281, 0.325   color rgbf <0.643, 0.380, 0.376, 0.500>
                    color rgbf <0.839, 0.722, 0.722, 0.500>]
    [0.325, 0.711   color rgbf <0.839, 0.722, 0.722, 0.500>
                    color rgbf <0.784, 0.627, 0.522, 0.500>]
    [0.711, 0.798   color rgbf <0.784, 0.627, 0.522, 0.500>
                    color rgbf <0.769, 0.380, 0.376, 0.500>]
    [0.798, 0.895   color rgbf <0.769, 0.380, 0.376, 0.500>
                    color rgbf <0.824, 0.557, 0.376, 0.500>]
    [0.895, 0.982   color rgbf <0.824, 0.557, 0.376, 0.500>
                    color rgbf <0.784, 0.627, 0.522, 0.500>]
    [0.982, 1.001   color rgbf <0.784, 0.627, 0.522, 0.500>
                    color rgbf <0.784, 0.627, 0.522, 0.500>]
 }
 }}

#declare T_Crack1 =
texture {
pigment
 {marble
  turbulence 0.85
  color_map
   {[0.0, 0.04 color Black filter 0.6 color Black filter 1.0]
    [0.04, 0.97 color Scarlet filter 0.80 color DimGray filter 0.90]
    [0.97, 1.001 color Black filter 0.9 color Black filter 1.0]
   }
 }}

//-----Filter  Dark T_Cracks
#declare T_Crack2 =
texture {
pigment
 {granite
  turbulence 0.8
  color_map
   {[0.0, 0.5   color Clear color Clear]
    [0.5, 0.54   color Clear color Black]
    [0.54, 1.0 color Clear color Clear]
   }
 }}

//---------- Overtint Green with Black T_Cracks
#declare T_Crack3 =
texture {
pigment
 {marble
  turbulence 0.85
  color_map
   {[0.0, 0.04 color Black filter 0.6 color Black filter 1.0]
    [0.04, 0.97 color DarkGreen filter 0.80 color DarkGreen filter 0.90]
    [0.97, 1.001 color Black filter 0.9 color Black filter 1.0]
   }
 }}

//--------- Overtint with White T_Crack
#declare T_Crack4 = 
texture {
pigment
 {marble
  turbulence 0.85
  color_map
   {[0.0, 0.03 color White filter 0.3 color White filter 1.0]
    [0.03, 0.97 color Black filter 0.70 color DimGray filter 0.90]
    [0.97, 1.001 color White filter 0.9 color White filter 1.0]
   }
 }}



//------------- Deep Rose & Green Marble with large White Swirls
#declare T_Stone1 = material {
texture{T_Grnt7  scale <2, 3, 2> rotate <0, 0, 40>}
texture{T_Grnt0a scale <2, 3, 2> rotate <0, 0,-30>
        finish{phong 1 phong_size 90}
   }    }

//------------- Light Greenish Tan Marble with Agate style veining
#declare T_Stone2 = material {
texture{T_Grnt0  scale <2, 3, 2> rotate <0, 0, 40>}
texture{T_Grnt7a scale <1.3, 2, 1.3> rotate <0, 0, -30> rotate <40, 0, 0>
        finish{phong 1.0 phong_size 90 ambient 0.2 }
}}

//------------- Rose & Yellow Marble with fog white veining
#declare T_Stone3 = material {
texture{T_Grnt5  scale <2, 3, 2> rotate <0, 0, 40>}
texture{T_Grnt0a scale <2, 3, 2> rotate <0, 0, -30>
        finish{phong 1.0 phong_size 90}
}}

//------------- Tan Marble with Rose patches
#declare T_Stone4 = material {
texture{T_Grnt6   scale <1.5, 3, 2> rotate <0, 0, 40>
        finish{diffuse 0.5}
}
texture{T_Grnt10a scale <1, 3, 2> rotate <0, 0, -30>
        finish{phong 1.0 phong_size 90}
}}

//------------- White Cream Marble with Pink veining
#declare T_Stone5 = material {
texture{T_Grnt12  scale <2, 3, 2> rotate <0, 0, 40>}
texture{T_Grnt17a scale <2, 3, 2> rotate <0, 0, -30>}
texture{T_Crack1  scale <1, 2, 1.4> rotate <10, 0, -20>
        finish{phong 1.0 phong_size 90 ambient 0.2}
}}

//------------- Rose & Yellow Cream Marble
#declare T_Stone6 = material {
texture{T_Grnt18 scale <1.5, 3, 3> rotate <0, 0, 40>}
texture{T_Grnt19 scale <2, 4, 1.3> rotate <0, 0, 30>
        finish{phong 1.0 phong_size 90}
}
texture{T_Crack1 scale <1, 2, 1.4> rotate <10, 0, -20>
        finish{phong 1.0 phong_size 90 ambient 0.2}
}}

//------------- Light Coffee Marble with darker patches
#declare T_Stone7 = material {
texture{pigment{color Salmon}}
texture{T_Grnt6a scale <1, 3, 2> rotate <0, 0, 40>}
texture{T_Grnt9a scale <3.5, 5, 4> rotate <0, 0, 60>
        finish{phong 1.0 phong_size 90}
}}

//------------- Gray Granite with white patches
#declare T_Stone8 = material {
texture{pigment{color White}
        finish{ambient 0.4 crand 0.06 diffuse 0.7}
}
texture{T_Grnt0a scale <2, 3, 2> rotate <0, 0, -30>}
texture{T_Grnt9a scale <5, 3, 4> rotate <0, 0, 40>
        finish{phong 1.0 ambient 0.2 diffuse 0.5 phong_size 90}
}}

//------------- White & Light Blue Marble with light violets
#declare T_Stone9 = material {
texture{T_Grnt9 scale <1.2, 2.4, 1.2> rotate <0, 0, -30> rotate <40, 0, 0>}
texture{T_Crack1 scale <1, 2, 1.4> rotate <10, 0, -20>
        finish{phong 1.0 phong_size 90 ambient 0.2}
}}

//------------- Dark Brown & Tan swirl Granite with gray undertones
#declare T_Stone10 = material {
texture{pigment{color Black}}
texture{T_Grnt17a scale <3, 6, 2> rotate <0, 0, 50>}
texture{T_Grnt3a scale <1, 2, 1> rotate <0, 0, -50>
        finish{phong 1.0 phong_size 90}
}}

//------------- Rose & White Marble with dark tan swirl
#declare T_Stone11 = material {
texture{pigment{color Black}}
texture{T_Grnt15a scale <1.2, 3, 1.5> rotate <70, 0, 30>
        finish{crand 0.03}
}
texture{T_Grnt2a scale <3, 3, 4> rotate <0, 0, 40>}
texture{T_Crack1 scale <1, 2, 1.4> rotate <10, 0, -20>
        finish{phong 1.0 phong_size 90}
}}

//------------- White & Pinkish Tan Marble
#declare T_Stone12 = material {
texture{T_Grnt23 scale <1, 5, 1> rotate <0, 0, 50>
        finish{ambient 0.2 crand 0.03}
}
texture{T_Grnt0a scale <1, 3, 2> rotate <0, 0, -30>
        finish{phong 1.0 phong_size 90}
}}

//------------- Medium Gray Blue Marble
#declare T_Stone13 = material {
texture{T_Grnt24 scale <2, 5, 2> rotate <0, 0, 50>
        finish{ambient 0.2 crand 0.03}
}
texture{T_Grnt8a scale <1, 3, 2> rotate <0, 0, -30>
        finish{phong 1.0 phong_size 90}
}}

//------------- Tan & Olive Marble with gray white veins
#declare T_Stone14 = material {
texture{T_Grnt6 scale <2, 3, 2> rotate <0, 0, -30>
        finish{ambient 0.2 diffuse 0.9 crand 0.03}
}
texture{T_Grnt19a scale <1, 3, 1> rotate <0, 0, 40>
        finish{phong 1.0 phong_size 90}
}}

//------------- Deep Gray Marble with white veining
#declare T_Stone15 = material {
texture{T_Grnt20 scale <1, 2, 2> rotate <0, 0, -30>
        finish{ambient 0.2 diffuse 0.9 crand 0.03}
}
texture{T_Grnt8a scale <1, 2, 1> rotate <0, 0, 40>
        finish{phong 1.0 phong_size 90}
}}

//------------- Peach & Yellow Marble with white veining
#declare T_Stone16 = material {
texture{T_Grnt18 scale <1.3, 2, 2> rotate <0, 0, -30>
        finish{ambient 0.2 diffuse 0.9 crand 0.03}
}
texture{T_Grnt19 scale <2, 4, 2> rotate <0, 0, -30>
        finish{ambient 0.2 diffuse 0.9 crand 0.03}
}
texture{T_Grnt20a scale <1, 2, 1> rotate <0, 0, 40>
        finish{phong 1.0 phong_size 90}
}}

//------------- White Marble with gray veining
#declare T_Stone17 = material {
texture{T_Grnt20 scale <1, 2, 2> rotate <0, 0, -30>
        finish{ambient 0.2 diffuse 0.9 crand 0.03}
}
//texture{T_Grnt8a scale <2.5, 4.5, 3.5> rotate <0, 0, 40>
//        finish{phong 1.0 phong_size 90}
//}
texture{T_Crack3 scale <1, 2, 1.4> rotate <10, 0, -20>
        finish{phong 1.0 phong_size 90}
}}

//------------- Green Jade with white veining
#declare T_Stone18 = material {
texture{pigment{color SeaGreen}
        finish{ambient 0.3 diffuse 0.6 crand 0.03}
}
texture{T_Grnt22 scale <1.5, 0.7, 0.5> rotate <0, 0, 40>}
texture{T_Grnt20a scale <2.5, 2, 0.5> rotate <0, 0, -50>}
texture{T_Crack4 scale <0.7, 1, 1> rotate <10, 0, -20>
        finish{phong 1.0 phong_size 90}
}}

//------------- Peach Granite with white patches & green trim
#declare T_Stone19 = material {
texture{T_Grnt26 scale <1, 0.7, 0.5> rotate <0, 0, 40>}
texture{T_Grnt20a scale <2, 3, 1> rotate <10, 0, -20>
        finish{phong 1.0 phong_size 90}
}}

//------------- Brown & Olive Marble with white veining
#declare T_Stone20 = material {
texture{T_Grnt27 scale <0.7, 0.99, 0.7> rotate <0, 0, 40>}
texture{T_Grnt12a scale <1, 1.3, 2> rotate <0, 0, 40>}
texture{T_Grnt20a scale <1.9, 3, 0.5> rotate <0, 0, -50>}
texture{T_Crack1 scale <1, 0.6, 1> rotate <10, 0, -20>
        finish{phong 1.0 phong_size 90}
}}

//------------- Red Marble with gray & white veining
#declare T_Stone21 = material {
texture{T_Grnt28 scale <1.3, 2.5, 1.7> rotate <0, 0, 40>}
texture{T_Grnt22 scale <1, 2, 2> rotate <0, 0, 40>}
texture{T_Crack4 scale <1, 0.6, 1> rotate <10, 0, -20>
        finish{phong 1.0 phong_size 90}
}}

//------------- Dark Tan Marble with gray & white veining
#declare T_Stone22 = material {
texture{pigment{color Feldspar}}
texture{T_Grnt8a scale <1, 2, 2> rotate <0, 0, 40>}
texture{T_Grnt22 scale <2, 4, 1.5> rotate <0, 0, -50>}
texture{T_Crack4 scale <1, 1, 1> rotate <10, 0, -40>
        finish{phong 1.0 phong_size 90}
}}

//------------- Peach & Cream Marble with orange veining
#declare T_Stone23 = material {
texture{T_Grnt29 scale <1, 1, 2> rotate <40, 0, 0> rotate <0, 0, 30>}
texture{T_Grnt24a scale <2, 1, 2> rotate <40, 0, 0> rotate <0, 0, 30>}
texture{T_Crack1 scale <1, 2, 1.5> rotate <0, 0, 40>}
texture{pigment{color Yellow filter 0.9}
        finish{phong 1.0 phong_size 90}  // tint to liking
}}

//------------- Green & Tan Moss Marble
#declare T_Stone24 = material {
texture{T_Grnt25 scale <1, 1, 2> rotate <0, 0, 50> rotate <20, 0, 30>}
texture{T_Grnt23a scale <2, 1, 2> rotate <40, 0, 0> rotate <0, 0, -30>}
texture{pigment{color Gray filter 0.8}
        finish{phong 1.0 phong_size 90} //   tint to liking
}}


#declare T_Stone25 = material {
texture {
    pigment {
        crackle
        turbulence 0.3
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.45
        rotate <0, 5, 60>
        color_map {
            [0.02 color rgbf <0.30, 0.60, 0.45, 0.0> ]
            [0.06 color rgbf <0.35, 0.55, 0.40, 0.0> ]
            [0.10 color rgbf <0.25, 0.25, 0.20, 0.0> ]
            [1.00 color rgbf <0.75, 0.75, 0.60, 0.0> ]
        }
    }
}

texture {
    pigment {
        crackle
        turbulence 0.2
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.65
        rotate <0, 45, 60>
        color_map { 
            [0.02 color rgbf <0.30, 0.60, 0.45, 0.95> ]
            [0.06 color rgbf <0.35, 0.55, 0.40, 0.75> ]
            [0.10 color rgbf <0.25, 0.25, 0.20, 0.65> ]
            [1.00 color rgbf <0.75, 0.75, 0.60, 0.60> ]
        }
    }
}

texture {
    pigment {
        crackle
        turbulence 0.2
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.15
        rotate <30, 30, 30>
        color_map {
            [0.00 color rgbf <0.95, 0.95, 0.95, 0.30> ]
            [0.03 color rgbf <0.85, 0.85, 0.85, 0.60> ]
            [0.06 color rgbf <0.50, 0.50, 0.50, 0.90> ]
            [0.10 color rgbf <1.00, 1.00, 1.00, 1.00> ]
        }
    }
}}

#declare T_Stone26 = material {
texture {
    pigment {
        granite
        rotate y*90
        color_map { 
            [0.02 color rgbf <0.25, 0.45, 0.60, 0.0> ]
            [0.06 color rgbf <0.20, 0.40, 0.55, 0.0> ]
            [0.10 color rgbf <0.15, 0.20, 0.25, 0.0> ]
            [1.00 color rgbf <0.40, 0.60, 0.75, 0.0> ]
        }
        frequency 6
        rotate <0, 10, 0>
        turbulence <0.05, 0.05, 0.05>
        octaves 6
        omega 0.7
        lambda 2
    }
}
texture {
    pigment {
        gradient x
        color_map {
            [0.00 color Clear ]
            [0.10 color rgbf <1.00, 1.00, 1.00, 0.75> ]
            [0.15 color rgbf <0.15, 0.25, 0.40, 0.50> ]
            [0.20 color rgbf <0.00, 0.05, 0.10, 0.25> ]
            [0.25 color rgbf <0.15, 0.25, 0.40, 0.25> ]
            [0.30 color rgbf <0.35, 0.55, 0.40, 0.50> ]
            [0.35 color rgbf <0.25, 0.25, 0.20, 0.75> ]
            [0.35 color Clear ]
        }
        frequency 3
        rotate <1, 10, 45>
        rotate x*60
        turbulence <0.30, 0.30, 0.30>
        octaves 6
        omega 0.7
        lambda 2.2
    }
}
texture {
    pigment {
        agate
        color_map {
            [0.00 color Clear ]
            [0.10 color rgbf <1.00, 1.00, 1.00, 0.75> ]
            [0.15 color rgbf <0.35, 0.55, 0.40, 0.50> ]
            [0.20 color rgbf <0.25, 0.25, 0.20, 0.25> ]
            [0.25 color rgbf <0.30, 0.60, 0.45, 0.25> ]
            [0.30 color rgbf <0.35, 0.55, 0.40, 0.50> ]
            [0.35 color rgbf <0.25, 0.25, 0.20, 0.75> ]
            [0.35 color Clear ]
        }
        frequency 3
        rotate <2, 10, 75>
        rotate x*120
        turbulence <0.05, 0.05, 0.05>
        octaves 6
        omega 0.7
        lambda 2
    }
}}

#declare T_Stone27 = material {
texture {
    pigment {
        crackle
        turbulence 0.35
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.5
        frequency 3
        rotate <0, -45, 30>
        color_map { 
            [0.02 color rgbf <0.25, 0.45, 0.60, 0.0> ]
            [0.06 color rgbf <0.20, 0.40, 0.55, 0.0> ]
            [0.10 color rgbf <0.05, 0.10, 0.15, 0.0> ]
            [1.00 color rgbf <0.40, 0.60, 0.75, 0.0> ]
        }
    }
}

texture {
    pigment {
        crackle
        turbulence 0.1
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.45
        frequency 1
        phase 0.25
        rotate <0, 45, 60>
        color_map { 
            [0.00 color Clear ]
            [0.20 color rgbf <1.00, 1.00, 1.00, 0.75> ]
            [0.25 color rgbf <0.25, 0.45, 0.40, 0.50> ]
            [0.30 color rgbf <0.00, 0.00, 0.00, 0.00> ]
            [0.35 color rgbf <0.15, 0.75, 0.60, 0.50> ]
            [0.40 color rgbf <0.35, 0.85, 0.40, 0.60> ]
            [0.45 color rgbf <0.35, 0.45, 0.20, 0.75> ]
            [0.65 color Clear ]
        }
    }
}
texture {
    pigment {
        crackle
        turbulence 0.35
        lambda 2.5
        omega 0.75
        octaves 5
        scale 2
        frequency 2
        rotate <0, 90, 0>
        color_map { 
            [0.00 color Clear ]
            [0.20 color rgbf <1.00, 1.00, 1.00, 0.75> ]
            [0.25 color rgbf <0.35, 0.55, 0.40, 0.50> ]
            [0.30 color rgbf <0.00, 0.00, 0.00, 0.00> ]
            [0.45 color rgbf <0.30, 0.60, 0.45, 0.25> ]
            [0.50 color rgbf <0.35, 0.55, 0.40, 0.50> ]
            [0.65 color rgbf <0.25, 0.25, 0.20, 0.75> ]
            [0.65 color Clear ]
        }
    }
}}


#declare T_Stone28 = material {
texture {
    pigment {
        agate
        agate_turb 0.75
        frequency 6
        scale 0.5
        rotate <0, -45, 5>
        color_map { 
            [0.02 color rgbf <0.65, 0.45, 0.25, 0.0> ]
            [0.06 color rgbf <0.55, 0.40, 0.20, 0.0> ]
            [0.10 color rgbf <0.15, 0.10, 0.05, 0.0> ]
            [1.00 color rgbf <0.75, 0.60, 0.40, 0.0> ]
        }
    }
}
texture {
    pigment {
        crackle
        turbulence 0.1
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.75
        frequency 1
        phase 0.25
        rotate <0, 45, 60>
        color_map { 
            [0.00 color Clear ]
            [0.25 color rgbf <0.40, 0.25, 0.15, 0.50> ]
            [0.30 color rgbf <0.00, 0.00, 0.00, 0.00> ]
            [0.35 color rgbf <0.40, 0.25, 0.15, 0.50> ]
            [0.40 color rgbf <0.45, 0.55, 0.35, 0.60> ]
            [0.65 color Clear ]
        }
    }
}
texture {
    pigment {
        crackle
        turbulence 0.1
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.45
        frequency 2
        phase 0.25
        rotate <0, 5, 60>
        color_map { 
            [0.00 color Clear ]
            [0.25 color rgbf <0.65, 0.25, 0.40, 0.50> ]
            [0.30 color rgbf <0.00, 0.00, 0.00, 0.00> ]
            [0.45 color rgbf <0.50, 0.60, 0.35, 0.25> ]
            [0.50 color rgbf <0.65, 0.25, 0.40, 0.50> ]
            [0.65 color Clear ]
        }
    }
}}


#declare T_Stone29 = material {
texture {
    pigment {
        gradient x
        turbulence 0.75
        frequency 6
        scale 0.5
        rotate <0, -45, 30>
        color_map {
            [0.02 color rgb <0.65, 0.35, 0.25> ]
            [0.06 color rgb <0.55, 0.25, 0.10> ]
            [0.10 color rgb <0.45, 0.30, 0.25> ]
            [1.00 color rgb <0.65, 0.35, 0.25> ]
        }
    }
}
texture {
    pigment {
        crackle
        turbulence 0.6
        lambda 1.75
        omega 0.55
        octaves 4
        scale 0.45
        rotate <0, 5, 60>
        color_map { 
            [0.01 color rgbf <0.00, 0.00, 0.00, 0.00> ]
            [0.02 color rgbf <0.40, 0.25, 0.15, 0.20> ]
            [0.05 color rgbf <0.40, 0.35, 0.20, 0.40> ]
            [0.10 color rgbf <0.45, 0.55, 0.25, 0.60> ]
            [0.65 color Clear ]
        }
    }
}
texture {
    pigment {
        granite
        turbulence 0.1
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.75
        frequency 1
        phase 0.25
        rotate <0, 45, 60>
        color_map {
            [0.15 color rgbf <0.40, 0.25, 0.15, 0.40> ]
            [0.20 color rgbf <0.20, 0.10, 0.00, 0.00> ]
            [0.25 color rgbf <0.20, 0.15, 0.15, 0.40> ]
            [0.30 color rgbf <0.40, 0.25, 0.15, 0.70> ]
            [0.65 color Clear ]
        }
    }
}}

#declare T_Stone30 = material {
texture {
    pigment {
        gradient x
        turbulence 0.75
        frequency 6
        scale 0.5
        rotate <0, -45, 30>
        color_map { 
            [0.02 color rgbf <0.85, 0.85, 0.45, 0.0> ]
            [0.06 color rgbf <0.65, 0.65, 0.40, 0.0> ]
            [0.10 color rgbf <0.90, 0.90, 0.65, 0.0> ]
            [1.00 color rgbf <0.85, 0.85, 0.45, 0.0> ]
        }
    }
}
texture {
    pigment {
        crackle
        turbulence 0.3
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.45
        frequency 2
        phase 0.25
        rotate <0, 5, 60>
        color_map { 
            [0.00 color Clear ]
            [0.25 color rgbf <0.40, 0.40, 0.15, 0.50> ]
            [0.30 color rgbf <0.00, 0.00, 0.00, 0.00> ]
            [0.35 color rgbf <0.40, 0.40, 0.20, 0.50> ]
            [0.40 color rgbf <0.65, 0.65, 0.30, 0.60> ]
            [0.65 color Clear ]
        }
    }
}

texture {
    pigment {
        crackle
        turbulence 0.1
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.75
        frequency 1
        phase 0.25
        rotate <0, 45, 60>
        color_map { 
            [0.00 color Clear ]
            [0.15 color rgbf <0.40, 0.15, 0.45, 0.60> ]
            [0.18 color rgbf <0.20, 0.10, 0.00, 0.00> ]
            [0.25 color rgbf <0.20, 0.15, 0.45, 0.60> ]
            [0.30 color rgbf <0.40, 0.15, 0.45, 0.80> ]
            [0.65 color Clear ]
        }
    }
}}

#declare T_Stone31 = material {
texture {
    pigment {
        crackle
        turbulence 0.3
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.45
        rotate <0, 5, 60>
        color_map { 
            [0.00 color Gray90 ]
            [0.02 color rgb <0.95, 0.90, 0.85> ]
            [0.03 color rgb <0.75, 0.85, 0.80> ]
            [0.04 color rgb <0.45, 0.40, 0.50> ]
            [0.10 color Gray15 ]
        }
    }
}
texture {
    pigment {
        crackle
        turbulence 0.2
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.65
        rotate <0, 45, 60>
        color_map { 
            [0.00 color Clear ]
            [0.02 color rgb <0.95, 0.90, 0.85> ]
            [0.03 color rgb <0.75, 0.85, 0.80> ]
            [0.04 color rgb <0.45, 0.40, 0.50> ]
            [0.10 color Clear ]
        }
    }
}}

#declare T_Stone32 = material {
texture {
    pigment {
        crackle
        turbulence 0.3
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.45
        rotate <0, 5, 60>
        color_map { 
            [0, 1 color rgb <0.9, 0.75, 0.75>
                  color rgb <0.6, 0.6, 0.6> ]
        }
    }
}

texture {
    pigment {
        crackle
        turbulence 0.2
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.65
        rotate <0, 45, 60>
        color_map { 
            [0.0, 0.9 color rgbf <0.52, 0.39, 0.39, 1.0> 
                      color rgbf <0.52, 0.39, 0.39, 0.5>]
            [0.9, 1.0 color rgbf <0.42, 0.14, 0.55, 0.0>
                      color rgbf <0.42, 0.14, 0.55, 0.0>]
        }
    }
}

texture {
    pigment {
        crackle
        turbulence 0.2
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.15
        rotate <30, 30, 30>
        color_map {
            [0.00 color rgbf <0.95, 0.95, 0.95, 0.30> ]
            [0.03 color rgbf <0.85, 0.85, 0.85, 0.60> ]
            [0.06 color rgbf <0.50, 0.50, 0.50, 0.90> ]
            [0.10 color rgbf <1.00, 1.00, 1.00, 1.00> ]
        }
    }
}}

#declare T_Stone33 = material {
texture {
    pigment {
        crackle
        turbulence 0.3
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.45
        rotate <0, 5, 60>
        color_map {
            [0.0, 0.1 color rgb <0.0, 0.0, 0.0>
                      color rgb <0.9, 0.7, 0.6>]
            [0.1, 0.3 color rgb <0.9, 0.7, 0.6>
                      color rgb <0.9, 0.7, 0.4>]
            [0.3, 1.0 color rgb <0.9, 0.7, 0.4>
                      color rgb <0.7, 0.4, 0.2>]
        }
    }
}
texture {
    pigment {
        crackle
        turbulence 0.2
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.65
        rotate <0, 45, 60>
        color_map {
            [0.0, 0.2 color rgbf <0.7, 0.4, 0.2, 0.20>
                      color rgbf <0.9, 0.7, 0.6, 0.30>]
            [0.2, 0.3 color rgbf <0.9, 0.7, 0.6, 0.50>
                      color rgbf <0.9, 0.7, 0.4, 0.70>]
            [0.3, 1.0 color rgbf <0.9, 0.7, 0.4, 0.80>
                      color rgbf <0.7, 0.4, 0.2, 0.80>]
        }
    }
}}

#declare T_Stone34 = material {
texture {
    pigment {
        gradient x
        turbulence 0.75
        frequency 6
        scale 0.5
        rotate <0, -45, 30>
        color_map {
            [0.02 color rgbf <0.85, 0.85, 0.85, 0.0> ]
            [0.10 color rgbf <1.00, 1.00, 1.00, 0.0> ]
            [1.00 color rgbf <0.85, 0.85, 0.85, 0.0> ]
        }
    }
}
texture {
    pigment {
        crackle
        turbulence 0.3
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.45
        frequency 2
        phase 0.25
        rotate <0, 5, 60>
        color_map {
            [0.00 color Clear ]
            [0.15 color rgbf <0.40, 0.30, 0.30, 0.50> ]
            [0.30 color rgbf <0.15, 0.08, 0.02, 0.00> ]
            [0.35 color rgbf <0.60, 0.40, 0.35, 0.50> ]
            [0.45 color rgbf <0.40, 0.35, 0.30, 0.60> ]
            [0.65 color Clear ]
        }
    }
}}

// White marble
#declare T_Stone35 = material {
texture {
    pigment {
        gradient x
        turbulence 0.75
        frequency 6
        scale 0.5
        rotate <0, -45, 30>
        color_map {
            [0.02 color rgbf <0.85, 0.85, 0.85, 0.0> ]
            [0.10 color rgbf <1.00, 1.00, 1.00, 0.0> ]
            [1.00 color rgbf <0.85, 0.85, 0.85, 0.0> ]
        }
    }
}
texture {
    pigment {
        crackle
        turbulence 0.3
        lambda 2.5
        omega 0.75
        octaves 5
        scale 0.45
        frequency 2
        phase 0.25
        rotate <0, 5, 60>
        color_map {
            [0.00 color Clear ]
            [0.15 color rgbf <0.40, 0.30, 0.30, 0.50> ]
            [0.30 color rgbf <0.15, 0.08, 0.02, 0.00> ]
            [0.35 color rgbf <0.60, 0.40, 0.35, 0.50> ]
            [0.45 color rgbf <0.40, 0.35, 0.30, 0.60> ]
            [0.65 color Clear ]
        }
    }
}}

// Creamy coffee w/greenish-grey veins & faint avacado swirls
#declare T_Stone36 = material {
texture  {
    pigment {
        granite
        turbulence 0.815
        colour_map {
            [0.10 colour rgbf <0.43529, 0.49804, 0.32941,0.0>]
            [0.20 colour rgbf <0.19608, 0.27843, 0.19608,0.0>]
            [0.35 colour rgbf <0.43529, 0.49804, 0.32941,0.0>]
            [0.55 colour rgbf <0.45490, 0.44706, 0.20784,0.0>]
            [0.75 colour rgbf <0.43529, 0.49804, 0.32941,0.0>]
            [0.90 colour rgbf <0.19608, 0.22745, 0.00000,0.0>]
            [1.00 colour rgbf <0.43529, 0.49804, 0.32941,0.0>]
        }
    scale <0.85, 1.5, 0.5>
    rotate <10, 0, 40>
    }
    finish { brilliance 1.825 }
}
texture  {
    pigment {
        granite
        turbulence 0.825
        colour_map {
            [0.18 colour rgbf <0.20784, 0.13333, 0.00000, 0.427>]
            [0.35 colour rgbf <0.20784, 0.13333, 0.00000, 0.735>]
            [0.45 colour rgbf <0.27059, 0.11373, 0.00000, 0.625>]
            [0.90 colour rgbf <0.27059, 0.11373, 0.00000, 0.875>]
            [1.00 colour rgbf <0.20784, 0.13333, 0.00000, 0.890>]
        }
     scale <0.65, 1.18, 0.34>
     rotate <5, 10, -55>
    }
    finish { ambient 0.275 diffuse 0.775 crand 0.01975 }
}}

// Olive greens w/lighter swirls & hints of salmon
#declare T_Stone37 = material {
texture  {
    pigment {
        granite
        turbulence 0.9
        colour_map  {
            [0.18 colour rgbf <0.29020, 0.24706, 0.00000,0>]
            [0.35 colour rgbf <0.29020, 0.24706, 0.00000,0>]
            [0.45 colour rgbf <0.16471, 0.15294, 0.00000,0>]
            [0.90 colour rgbf <0.16471, 0.15294, 0.00000,0>]
            [1.00 colour rgbf <0.32941, 0.25882, 0.00000,0>]
        }
        scale <0.825, 1.7, 0.25>
        rotate <10,5,40>
    }
    finish { brilliance 2.5 }
}
texture  {
    pigment {
        granite
        turbulence 0.85
        colour_map   {
            [0.05 colour rgbf <0.86275, 0.65490, 0.40392, 0.6250>]
            [0.35 colour rgbf <0.48627, 0.16471, 0.00000, 0.8250>]
            [0.60 colour rgbf <0.86275, 0.65490, 0.40392, 0.7150>]
            [0.85 colour rgbf <0.48627, 0.16471, 0.00000, 0.5450>]
            [1.00 colour rgbf <0.52941, 0.34118, 0.17647, 0.8975>]
        }
        scale <0.85, 1.6, 0.45>
        rotate <0,5,-50>
    }
    finish { ambient 0.275 diffuse 0.6925 crand 0.01975}
}}

// Deep rich coffee w/darker veins & lots of creamy swirl
#declare T_Stone38 = material {
texture  {
    pigment {
        granite
        turbulence 1.25
        colour_map  {
            [0.15 colour rgbf<0.72549, 0.73725, 0.54118, 0.0>]
            [0.25 colour rgbf<0.22745, 0.14510, 0.00000, 0.0>]
            [0.45 colour rgbf<0.72549, 0.73725, 0.54118, 0.0>]
            [0.60 colour rgbf<0.22745, 0.14510, 0.00000, 0.0>]
            [0.80 colour rgbf<0.22745, 0.14510, 0.00000, 0.0>]
            [1.00 colour rgbf<0.60392, 0.61176, 0.46667, 0.0>]
        }
        scale <0.95, 1.7, 0.39>
        rotate <10, 5, 40>
    }
    finish { brilliance 2.125 }
}
texture  {
    pigment {
        granite
        turbulence 0.825
        colour_map {
            [0.35 colour rgbf <0.56078, 0.54902, 0.42353,0.65>]
            [0.65 colour rgbf <0.10196, 0.05882, 0.00000,0.85>]
            [1.00 colour rgbf <0.56078, 0.54902, 0.42353,0.90>]
        }
        scale <0.76, 1.4, 0.4>
        rotate <0, 10, -55>
    }
    finish { ambient 0.4 diffuse 0.575 crand 0.021 }
}}

// Light mauve w/large plum swirls
#declare T_Stone39 = material {
texture  {
    pigment {
        granite
        turbulence 0.825
        colour_map  {
             [0.12 colour rgbf <0.78039, 0.54902, 0.46667, 0.0>]
             [0.35 colour rgbf <0.78039, 0.54902, 0.46667, 0.0>]
             [0.65 colour rgbf <0.49804, 0.30980, 0.30196, 0.0>]
             [0.90 colour rgbf <0.49804, 0.30980, 0.30196, 0.0>]
             [1.00 colour rgbf <0.35294, 0.09020, 0.00000, 0.0>]
        }
    }
    scale <0.78,1.45, 0.4>
    rotate <5,10,-55>
    finish { brilliance 1.9275 ambient .3 diffuse .575 crand .0215}
}}

// Creamy aqua w/green hi-lites & subtle hints of grey
#declare T_Stone40 = material {
texture  {
    pigment {
        agate
        agate_turb 1.1
        colour_map  {
            [0.10 colour rgbf <0.56078, 0.67451, 0.62353, 0.0>]
            [0.35 colour rgbf <0.27843, 0.41569, 0.30196, 0.0>]
            [0.55 colour rgbf <0.56078, 0.67451, 0.62353, 0.0>]
            [0.85 colour rgbf <0.56078, 0.67451, 0.62353, 0.0>]
            [0.95 colour rgbf <0.27843, 0.41569, 0.30196, 0.0>]
            [1.00 colour rgbf <0.54118, 0.58039, 0.56078, 0.0>]
        }
        scale <0.97, 0.97, 0.5>
        rotate <0, 5, 40>
    }
    finish {brilliance 1.25}
}
texture  {
    pigment {
        granite
        turbulence 1.25
        colour_map  {
            [0.15 colour rgbf <0.46667, 0.59216, 0.54118, 0.005>]
            [0.65 colour rgbf <0.35294, 0.67451, 0.54902, 0.750>]
            [0.80 colour rgbf <0.46667, 0.59216, 0.54118, 0.660>]
            [1.00 colour rgbf <0.35294, 0.67451, 0.54902, 0.879>]
        }
        scale <0.85, 1.5, 0.5>
        rotate <10, 5, -75>
    }
    finish { ambient 0.175 diffuse 0.6975 crand 0.025 }
}}

// Dark powder blue w/steel blue & grey swirls
#declare T_Stone41 = material {
texture  {
    pigment {
        marble
        turbulence 1.5
        omega 0.6235
        lambda 2.25
        colour_map  {
            [0.15 colour rgbf <0.03922, 0.20784, 0.52941, 0.0>]
            [0.45 colour rgbf <0.03922, 0.20784, 0.52941, 0.0>]
            [0.55 colour rgbf <0.22745, 0.23922, 0.42353, 0.0>]
            [0.75 colour rgbf <0.20784, 0.30980, 0.54118, 0.0>]
            [1.00 colour rgbf <0.20784, 0.30980, 0.54118, 0.0>]
        }
        rotate <0, 0, 85>
        scale <0.75, 1.33, 0.35>
        rotate <10, 5, 45>
    }
    finish { brilliance 1.825 }
}
texture  {
    pigment {
        granite
        turbulence  1.15
        colour_map  {
            [0.25 colour rgbf <0.30196, 0.35294, 0.48627, 0.600>]
            [0.45 colour rgbf <0.30196, 0.35294, 0.48627, 0.475>]
            [0.85 colour rgbf <0.17647, 0.24706, 0.39216, 0.715>]
            [1.00 colour rgbf <0.17647, 0.24706, 0.39216, 0.750>]
        }
        rotate <0,0,45>
       scale <0.78, 1.0, 0.4>
       rotate <5, 10, -55>
    }
    finish { ambient 0.225 diffuse 0.75 crand 0.01975}
}}

//Brick red w/yellow-green swirls
#declare T_Stone42 = material {
texture  {
    pigment {
        onion
        turbulence  2.1
        omega 0.575
        colour_map  {
           [0.15 colour rgbf<0.29020, 0.08235, 0.00000, 0.0>]
           [0.35 colour rgbf<0.34118, 0.29020, 0.09020, 0.0>]
           [0.65 colour rgbf<0.29020, 0.08235, 0.00000, 0.0>]
           [0.85 colour rgbf<0.34118, 0.29020, 0.09020, 0.0>]
           [1.00 colour rgbf<0.29020, 0.08235, 0.00000, 0.0>]
        }
        scale <0.9, 1.6, .45>
        rotate <10, 5, 45>
    }
    finish { brilliance 1.825 }
}
texture  {
    pigment {
        granite
        turbulence 0.925
        colour_map  {
            [0.25 colour rgbf<0.42353, 0.37255, 0.05882, 0.45>]
            [0.50 colour rgbf<0.18431, 0.01569, 0.00000, 0.55>]
            [0.72 colour rgbf<0.42353, 0.37255, 0.05882, 0.55>]
            [1.00 colour rgbf<0.18431, 0.01569, 0.00000, 0.65>]
        }
        rotate <5, 15, 90>
        scale <0.78, 1.05, 0.4>
        rotate <5, 10, -55>
    }
    finish { ambient 0.225 diffuse 0.75 crand 0.01975 }
}}

// Rusty red w/cream swirls and duck overtones
#declare T_Stone43 = material {
texture  {
    pigment {
        granite
        turbulence 0.815
        colour_map {
            [0.15 colour rgbf<0.86275, 0.75686, 0.61176, 0.0>]
            [0.45 colour rgbf<0.49804, 0.21569, 0.03922, 0.0>]
            [0.65 colour rgbf<0.84314, 0.72157, 0.63529, 0.0>]
            [0.85 colour rgbf<0.46667, 0.23922, 0.05098, 0.0>]
            [1.00 colour rgbf<0.87059, 0.73725, 0.62745, 0.0>]
        }
        scale <0.87, 1.235, 0.47>
        rotate <15, 25, 45>
    }
    finish {brilliance 2.585}
}
texture  {
    pigment {
        agate
        agate_turb 1.275
        colour_map {
            [0.35 colour rgbf<0.42353, 0.12157, 0.01176, 0.650>]
            [0.65 colour rgbf<0.50196, 0.35294, 0.21176, 0.750>]
            [1.00 colour rgbf<0.41569, 0.20784, 0.02745, 0.550>]
        }
        scale <0.69,1.27, 0.35>
        rotate <10, 5, -60>
    }
    finish { ambient 0.225 diffuse 0.6975 crand 0.02175 }
}}

// This one is quite different from the rest.
// Its a dark, dull, bumpy rock texture.
#declare T_Stone44 = material {
texture {
    pigment {
        granite
        color_map {
            [0.0 rgb 0.3 ]
            [1.0 rgb 0.7 ]
        }
        scale 0.075
    }
    normal  { granite 0.75 scale 0.075 }
}
texture {
    pigment {
        wrinkles
        turbulence 0.3
        scale 0.3
        color_map {
            [0.0 rgbf< 0.50, 0.25, 0.10, 0.85>]
            [1.0 rgbf< 0.65, 0.40, 0.00, 0.65>]
        }
    }
}}

